#!/usr/bin/perl
 
########################################################################
# COPYRIGHT NOTICE:
#
# Copyright 2008 FocalMedia.Net All Rights Reserved.
#
# Selling the code for this program without prior written consent 
# from FocalMedia.Net is expressly forbidden. You may not 
# redistribute this program in any shape or form.
# 
# This program is distributed "as is" and without warranty of any
# kind, either express or implied. In no event shall the liability 
# of FocalMedia.Net for any damages, losses and/or causes of action 
# exceed the total amount paid by the user for this software.
#
########################################################################

#### EDIT HERE -- FOR WINDOWS/IIS BASED INSTALLATIONS ONLY #######

$config_cgi = "../config.cgi"; ## <-- CHANGE THIS LINE TO THE FULL SERVER PATH TO config.cgi

# THE PATH ON A WINDOWS INSTALLATION WILL LOOK SOMETHING LIKE THIS:
# $config_cgi = "c:/inetpub/webpub/cgi-bin/pseek/config.cgi";

#### DO NOT CHANGE ANYTHING BELOW THIS LINE #################


#use FindBin;
#use lib $FindBin::Bin;
use CGI;
use DBI;
use acs;
use psfp;
use obbuild;

$default_permissions = 0777;  ### DEFAULT PERMISSIONS THAT IS USED FOR FILES ON HOST/SERVER

&get_setup;
$q = CGI->new;

acs::check_access($username, $password, $q->param('username'), $q->param('password'));

##################################################################################

print "Content-type: text/html\n\n";
if ($q->param('fct') eq "") {&start;}
if ($q->param('fct') eq "settings") {&settings_fp;}
if ($q->param('fct') eq "save_settings") {&save_settings;}

if ($q->param('fct') eq "generate_fp") {&generate_fp;}
if ($q->param('fct') eq "fp_options") {&fp_options;}

if ($q->param('fct') eq "fp_generate0") {&settings_fp;}
if ($q->param('fct') eq "fp_generate") {&fp_generate;}


if ($q->param('fct') eq "get_sbox") {&get_sbox;}
if ($q->param('fct') eq "get_sbox2") {&get_sbox2;}

if ($q->param('fct') eq "update_frontpage") {&update_frontpage;}

if ($q->param('fct') eq "edit_table") {&edit_table;}
if ($q->param('fct') eq "save_table_html") {&save_table_html;}
if ($q->param('fct') eq "previewhtml") {&previewhtml;}
if ($q->param('fct') eq "restore_default2") {&restore_default2;}


##################################################################################

sub previewhtml
{

$fp_conf = $q->param('t');

if ($fp_conf eq "js") { $conf = "fp_jscript.cfg"; $method = "JavaScript Method";}
if ($fp_conf eq "iframe") { $conf = "fp_iframe.cfg"; $method = "Iframe Method";}
if ($fp_conf eq "template") { $conf = "fp_template.cfg"; $method = "Template Method"; }
if ($fp_conf eq "ssi") { $conf = "fp_ssi.cfg"; $method = "SSI (Server Side Includes) Method"; } 

$allcats = psfp::generate_categories($conf); 


$hbox = acs::get_heading_box("$web_url/ic_banner.gif", "Front Page Categories Preview for the '$method'", qq[$allcats
]);

print qq[
<html>
<head>
<title>PowerSeek</title>
<link href="$web_url/ps.css" rel="stylesheet" type="text/css">
</head>
<body>
$hbox
</body>
</html>
];

}



sub restore_default
{

$hbox = acs::get_heading_box("$web_url/ic_banner.gif", "Are you sure?", qq[
This action will delete the existing Front Page Table Templates and restore the default factory Front Page Table Templates for the Front Page Table.
<BR><BR>
<a href="$admin_url/admin26.cgi?fct=restore_default2"><strong>Yes</strong></a> | 
<a href="$admin_url/admin26.cgi?fct=edit_table"><strong>No</strong></a><BR><BR>	
]);

print qq[
<html>
<head>
<title>PowerSeek</title>
<link href="$web_url/ps.css" rel="stylesheet" type="text/css">
</head>
<body>
$hbox
</body>
</html>
];

}




sub restore_default2
{

unlink("$data_dir/fp_tableconf.dat");

$hbox = acs::get_heading_box("$web_url/ic_banner.gif", "Default Front Page Table Templates Restored", qq[
<a href="$admin_url/admin26.cgi?fct=edit_table"><strong>Click Here to Continue</strong></a>
]);

print qq[
<html>
<head>
<title>PowerSeek</title>
<link href="$web_url/ps.css" rel="stylesheet" type="text/css">
</head>
<body>
$hbox
</body>
</html>
];

}




sub save_table_html
{

if ($q->param('Submit2') eq "Restore Default") 
	{
	&restore_default; exit;
	}




open (TBLFRONT, "> $data_dir/fp_tableconf.dat");
	print TBLFRONT $q->param('table_html') . "oo-_-oo";
	print TBLFRONT $q->param('colcellstart') . "oo-_-oo";
	print TBLFRONT $q->param('cellstart') . "oo-_-oo";
	print TBLFRONT $q->param('main_cat_style') . "oo-_-oo";
	print TBLFRONT $q->param('sub_cat_style') . "oo-_-oo";
	print TBLFRONT $q->param('cat_diz') . "oo-_-oo";
	print TBLFRONT $q->param('cellend') . "oo-_-oo";
	print TBLFRONT $q->param('colcellend') . "oo-_-oo";	
	print TBLFRONT $q->param('table_html_end');	
close (TBLFRONT);

$hbox = acs::get_heading_box("$web_url/ic_banner.gif", "HTML Code Saved", qq[
<a href="$admin_url/admin26.cgi?fct=edit_table"><strong>Click Here to Continue</strong></a>
<BR><BR>

<b>Click one of the links below to see a preview of how the Front Page Categories will look like for the various Front Page methods available:</b>
<BR><BR>
<a href="" onClick="popup('$admin_url/admin26.cgi?fct=previewhtml&t=js',screen.width-200,screen.height-200);return false;">Javascript Method</a>
<BR>
<a href="" onClick="popup('$admin_url/admin26.cgi?fct=previewhtml&t=iframe',screen.width-200,screen.height-200);return false;">Iframe Method</a>
<BR>
<a href="" onClick="popup('$admin_url/admin26.cgi?fct=previewhtml&t=template',screen.width-200,screen.height-200);return false;">Front Page Template Method</a>
<BR>
<a href="" onClick="popup('$admin_url/admin26.cgi?fct=previewhtml&t=ssi',screen.width-200,screen.height-200);return false;">Server Side Includes Method</a>
]);


print qq[
<html>
<head>
<title>PowerSeek</title>

<script LANGUAGE="JavaScript">
<!-- Hide

  function popup(loc,ww,hh)
   {
    var mywidth = (ww + 0);
    var myheight = (hh + 0);

    var winl = (screen.width-ww)/2;
	 var wint = (screen.height-hh)/2;
    
    var myspecs = 'menubar=0,status=1,resizable=1,location=0,titlebar=1,toolbar=1,scrollbars=1,width=' + mywidth + ',height=' + myheight + ',top=' + wint + ',left=' + winl;
	var random = parseInt(Math.random()*10000)

	  var popupwin = null;
      myWindow = open (loc, popupwin + random, myspecs);
      myWindow.moveTo(100,40);
      myWindow.focus();

    }
 // End Hide -->
</script>


<link href="$web_url/ps.css" rel="stylesheet" type="text/css">
</head>
<body>
$hbox
</body>
</html>
];

}



sub edit_table
{

$hbox = acs::get_heading_box("$web_url/ic_banner.gif", "Edit HTML Code Used to Create Front Page Table with Cells that lists Categories", qq[
<b>It is not recommended that you edit the HTML code in this section if you are a novice to HTML or new to PowerSeek.</b> This option allows 
you to change the HTML code PowerSeek uses to generate the Front Page table and cells containing the 'main frontpage' categories. Note that 
you will need to know HTML to edit the table and cell properties in this section. The reason this option is here is so that you can 
implement CSS code (if needed) inside the table listing the 'Front Page' categories on your Front Page.
<b>Note that this option is optional and you don't have to change anything regarding this section unless you want to use CSS in the table 
listing the Front Page categories.</b>
<BR><BR><a href="$admin_url/admin26.cgi"><strong>Go Back</strong></a>
]);



$helpb = acs::quick_help("Help",qq[
In the event where something goes wrong you can restore the 'default factory front page table templates'. Press the 'Restore Default' button to restore
the 'default factory front page table templates'.
]);


$table_html = acs::get_file_contents("$data_dir/fp_tableconf.dat");

($table_html, $colcellstart, $cellstart, $main_cat_style, $sub_cat_style, $cat_diz, $cellend, $colcellend, $table_html_end) = split (/oo-_-oo/, $table_html);

if ($table_html eq "") { $table_html = qq[<table border="0" cellpadding="!!cellpadding!!" cellspacing="!!cellspacing!!" !!table_background_color!! width="100%">]; }

if ($colcellstart eq "") { $colcellstart = qq[<tr>];}

if ($cellstart eq "") { $cellstart = qq[<td valign="top" !!cell_background_color!! width="!!cell_width!!%" height="!!cell_height!!">\n]; }

if ($main_cat_style eq "") { $main_cat_style = qq[<font face="!!main_font!!" size="!!main_font_size!!">!!bold!! !!italic!!<a href="!!main_cat_url!!">!!main_cat_name!!</a>!!nr!! !!closeitalic!! !!closebold!!</font>!!new!!];}

if ($sub_cat_style eq "") { $sub_cat_style = qq[<font face="!!sub_cat_font!!" size="!!sub_cat_font_size!!">!!subbold!!!!subitalic!!<a href="!!sub_cat_url!!">!!sub_cat_name!!</a>!!nr!!!!new!!!!etc!!!!subcloseitalic!!!!subclosebold!!</font>];}

if ($cat_diz eq "") { $cat_diz = qq[<font face="!!diz_cat_font!!" size="!!diz_cat_font_size!!"> !!dizbold!! !!dizitalic!! !!cat_name_diz!! !!dizcloseitalic!! !!dizclosebold!! </font></a>];}

if ($cellend eq "") { $cellend = "</td>"; }

if ($colcellend eq "") { $colcellend = "</tr>";}

if ($table_html_end eq "") { $table_html_end = "</table>"; }


print qq[
<html>
<head>
<title>PowerSeek</title>
<link href="$web_url/ps.css" rel="stylesheet" type="text/css">

<script LANGUAGE="JavaScript">
<!-- Hide

  function popup(loc,ww,hh)
   {
    var mywidth = (ww + 0);
    var myheight = (hh + 0);

    var winl = (screen.width-ww)/2;
	 var wint = (screen.height-hh)/2;
    
    var myspecs = 'menubar=0,status=1,resizable=1,location=0,titlebar=1,toolbar=1,scrollbars=1,width=' + mywidth + ',height=' + myheight + ',top=' + wint + ',left=' + winl;
	var random = parseInt(Math.random()*10000)

	  var popupwin = null;
      myWindow = open (loc, popupwin + random, myspecs);
      myWindow.moveTo(100,40);
      myWindow.focus();

    }
 // End Hide -->
</script>


</head>
<body>
$hbox



<form name="form1" method="post" action="$admin_url/admin26.cgi">
  <table border="0" cellpadding="6" width="100%" style="border: 1px solid rgb(221,221,221)"
cellspacing="1">
    <tr>
      <td width="101%" valign="top" bgcolor="#FFE135" class="normaltext"
    background="$web_url/bar6.gif"><strong>Table Declaration</strong></td>
    </tr>
    <tr>
      <td width="101%" valign="top" class="normaltext">This is the declaration declaring the table that will contain the Front Page categories. This HTML code is used to construct the table listing the Front Page categories. </td>
    </tr>
    <tr>
      <td valign="top" class="normaltext"><label>
        <textarea name="table_html" cols="100" rows="3" id="table_html" style="width:100%">$table_html</textarea>
      </label>
      <p><strong>Variables used inside this Template: </strong></p>
      <table width="100%" border="0" cellpadding="3" cellspacing="1">
        <tr>
          <td width="20%" valign="top"><p><strong>!!cellpadding!!</strong></p></td>
          <td width="80%" valign="top"><p>Replaced by the cellpadding of the table. The cell padding of the Front Page table is configured when <a href="$admin_url/admin/admin26.cgi?fct=fp_options" onClick="popup('$admin_url/admin26.cgi?fct=fp_options',screen.width-200,screen.height-200);return false;">configuring the Front Page and Front Page Method</a>.</p></td>
          </tr>
        <tr>
          <td width="20%" valign="top"><p><strong>!!table_background_color!!</strong></p></td>
          <td width="80%" valign="top"><p>Replaced by a table background color if available/configured.   This is configured when <a href="$admin_url/admin/admin26.cgi?fct=fp_options" onClick="popup('$admin_url/admin26.cgi?fct=fp_options',screen.width-200,screen.height-200);return false;">configuring the Front Page and Front Page Method</a>.</p></td>
          </tr>
        <tr>
          <td width="20%" valign="top"><p><strong>!!cellspacing!!</strong></p></td>
          <td width="80%" valign="top"><p>Replaced by the cell spacing of the table.   This is configured when <a href="$admin_url/admin/admin26.cgi?fct=fp_options" onClick="popup('$admin_url/admin26.cgi?fct=fp_options',screen.width-200,screen.height-200);return false;">configuring the Front Page and Front Page Method</a>.</p></td>
          </tr>
      </table>
      </td>
    </tr>
  </table>
  <table border="0" cellpadding="0" cellspacing="0" width="100%"
background="$web_url/shadow.gif">
    <tr>
      <td width="1%" bgcolor="#FFFFFF"><font color="#FFFFFF">_ </font></td>
      <td width="99%"></td>
    </tr>
  </table>
  <table border="0" cellpadding="6" width="100%" style="border: 1px solid rgb(221,221,221)"
cellspacing="1">
    <tr>
      <td width="101%" valign="top" bgcolor="#FFE135" class="normaltext"
    background="$web_url/bar6.gif"><strong>Table Column Start </strong></td>
    </tr>
    <tr>
      <td width="101%" valign="top" class="normaltext">This indicates the start of  a table column. Normally just<strong> &lt;tr&gt; </strong></td>
    </tr>
    <tr>
      <td valign="top" class="normaltext"><p>
        <textarea name="colcellstart" cols="100" rows="3" id="colcellstart" style="width:100%">$colcellstart</textarea>
        <br>
      </p>
      </td>
    </tr>
  </table>
  <table border="0" cellpadding="0" cellspacing="0" width="100%"
background="$web_url/shadow.gif">
    <tr>
      <td width="1%" bgcolor="#FFFFFF"><font color="#FFFFFF">_ </font></td>
      <td width="99%"></td>
    </tr>
  </table>
  <table border="0" cellpadding="6" width="100%" style="border: 1px solid rgb(221,221,221)"
cellspacing="1">
    <tr>
      <td width="101%" valign="top" bgcolor="#FFE135" class="normaltext"
    background="$web_url/bar6.gif"><strong>Table Cell Start </strong></td>
    </tr>
    <tr>
      <td width="101%" valign="top" class="normaltext">This indicates the start of  table cells listing Main Categories with/without sub categories. </td>
    </tr>
    <tr>
      <td valign="top" class="normaltext"><p>
        <textarea name="cellstart" cols="100" rows="3" id="cellstart" style="width:100%">$cellstart</textarea>
        <br>
        <strong>Variables used inside this Template: </strong></p>
        <table width="100%" border="0" cellpadding="3" cellspacing="1">
          <tr>
            <td width="20%" valign="top"><p><strong>!!cell_background_color!!</strong></p></td>
            <td width="80%" valign="top"><p>Replaced by a cell background color if available/configured. The  cell background color is configured when <a href="$admin_url/admin/admin26.cgi?fct=fp_options" onClick="popup('$admin_url/admin26.cgi?fct=fp_options',screen.width-200,screen.height-200);return false;">configuring the Front Page and Front Page Method</a>.</p></td>
          </tr>
          <tr>
            <td width="20%" valign="top"><p><strong>!!cell_width!!</strong></p></td>
            <td width="80%" valign="top"><p>Replaced by the width of the each cell. PowerSeek will work out the width (in percent) of the cells according to the number of columns you have chosen to use when <a href="$admin_url/admin/admin26.cgi?fct=fp_options" onClick="popup('$admin_url/admin26.cgi?fct=fp_options',screen.width-200,screen.height-200);return false;">configuring the Front Page and Front Page Method</a></p></td>
          </tr>
          <tr>
            <td width="20%" valign="top"><p><strong>!!cell_height!!</strong></p></td>
            <td width="80%" valign="top"><p>Replaced by the cell spacing of the table. This is configured when <a href="$admin_url/admin/admin26.cgi?fct=fp_options" onClick="popup('$admin_url/admin26.cgi?fct=fp_options',screen.width-200,screen.height-200);return false;">configuring the Front Page and Front Page Method</a>.</p></td>
          </tr>
        </table>        </td>
    </tr>
  </table>
  <table border="0" cellpadding="0" cellspacing="0" width="100%"
background="$web_url/shadow.gif">
    <tr>
      <td width="1%" bgcolor="#FFFFFF"><font color="#FFFFFF">_ </font></td>
      <td width="99%"></td>
    </tr>
  </table>
  
  <table border="0" cellpadding="6" width="100%" style="border: 1px solid rgb(221,221,221)"
cellspacing="1">
    <tr>
      <td width="101%" valign="top" bgcolor="#FFE135" class="normaltext"
    background="$web_url/bar6.gif"><strong>Main Category Style</strong></td>
    </tr>
    <tr>
      <td width="101%" valign="top" class="normaltext">The HTML code in this template is used to construct the Main Category Links.</td>
    </tr>
    <tr>
      <td valign="top" class="normaltext"><p>
        <textarea name="main_cat_style" cols="100" rows="3" id="main_cat_style" style="width:100%">$main_cat_style</textarea>
        <br>
        <strong>Variables used inside this Template: </strong></p>
        <table width="100%" border="0" cellpadding="3" cellspacing="1">
          <tr>
            <td width="20%" valign="top"><p><strong>!!main_font!!</strong></p></td>
            <td width="80%" valign="top"><p>Replaced by the font used for main categories.  This is configured when <a href="$admin_url/admin/admin26.cgi?fct=fp_options" onClick="popup('$admin_url/admin26.cgi?fct=fp_options',screen.width-200,screen.height-200);return false;">configuring the Front Page and Front Page Method</a>.</p></td>
          </tr>
          <tr>
            <td width="20%" valign="top"><p><strong>!!main_font_size!!</strong></p></td>
            <td width="80%" valign="top"><p>Replaced by the font size used for main categories. <a href="$admin_url/admin/admin26.cgi?fct=fp_options" onClick="popup('$admin_url/admin26.cgi?fct=fp_options',screen.width-200,screen.height-200);return false;"></a>This is configured when <a href="$admin_url/admin/admin26.cgi?fct=fp_options" onClick="popup('$admin_url/admin26.cgi?fct=fp_options',screen.width-200,screen.height-200);return false;">configuring the Front Page and Front Page Method</a>.</p></td>
          </tr>
          <tr>
            <td width="20%" valign="top"><p><strong>!!bold!! / !!closebold!!</strong></p></td>
            <td width="80%" valign="top"><p>Replaced by the <strong>&lt;b&gt;</strong> and <strong>&lt;/b&gt; </strong>HTML tags if it is required that the main category names be in bold. This is configured when <a href="$admin_url/admin/admin26.cgi?fct=fp_options" onClick="popup('$admin_url/admin26.cgi?fct=fp_options',screen.width-200,screen.height-200);return false;">configuring the Front Page and Front Page Method</a>.</p></td>
          </tr>
          <tr>
            <td valign="top"><p><strong>!!italic!! / !!closebold!!</strong></p></td>
            <td valign="top"><p>Replaced by the <strong>&lt;i&gt;</strong> and <strong>&lt;/i&gt; </strong>HTML tags if it is required that the main category names be in Italic. This is configured when <a href="$admin_url/admin/admin26.cgi?fct=fp_options" onClick="popup('$admin_url/admin26.cgi?fct=fp_options',screen.width-200,screen.height-200);return false;">configuring the Front Page and Front Page Method</a>.</p></td>
          </tr>
          <tr>
            <td valign="top"><p><strong>!!main_cat_url!!</strong></p></td>
            <td valign="top"><p>Replaced by  main category URLs.</p></td>
          </tr>
          <tr>
            <td valign="top"><p><strong>!!main_cat_name!!</strong></p></td>
            <td valign="top"><p>Replaced by the names of main categories. </p></td>
          </tr>
          <tr>
            <td valign="top"><p><strong>!!nr!!</strong></p></td>
            <td valign="top"><p>Replaced by the total number of links inside main categories. </p></td>
          </tr>
        </table>
        </td>
    </tr>
  </table>
  <table border="0" cellpadding="0" cellspacing="0" width="100%"
background="$web_url/shadow.gif">
    <tr>
      <td width="1%" bgcolor="#FFFFFF"><font color="#FFFFFF">_ </font></td>
      <td width="99%"></td>
    </tr>
  </table>
  
  <table border="0" cellpadding="6" width="100%" style="border: 1px solid rgb(221,221,221)"
cellspacing="1">
    <tr>
      <td width="101%" valign="top" bgcolor="#FFE135" class="normaltext"
    background="$web_url/bar6.gif"><strong>Sub Category Style </strong></td>
    </tr>
    <tr>
      <td width="101%" valign="top" class="normaltext">The HTML code in this template is used to construct the sub category links if sub categories need to be displayed. </td>
    </tr>
    <tr>
      <td valign="top" class="normaltext"><p>
        <textarea name="sub_cat_style" cols="100" rows="3" id="sub_cat_style" style="width:100%">$sub_cat_style</textarea>
        <br>
        <strong>Variables used inside this Template: </strong></p>
        <table width="100%" border="0" cellpadding="3" cellspacing="1">
          <tr>
            <td width="20%" valign="top"><p><strong>!!sub_cat_font!!</strong></p></td>
            <td width="80%" valign="top"><p>Replaced by the font used for sub categories.  This is configured when <a href="$admin_url/admin/admin26.cgi?fct=fp_options" onClick="popup('$admin_url/admin26.cgi?fct=fp_options',screen.width-200,screen.height-200);return false;">configuring the Front Page and Front Page Method</a>.</p></td>
          </tr>
          <tr>
            <td width="20%" valign="top"><p><strong>!!sub_cat_font_size!!</strong></p></td>
            <td width="80%" valign="top"><p>Replaced by the font size used for sub categories. <a href="$admin_url/admin/admin26.cgi?fct=fp_options" onClick="popup('$admin_url/admin26.cgi?fct=fp_options',screen.width-200,screen.height-200);return false;"></a>This is configured when <a href="$admin_url/admin/admin26.cgi?fct=fp_options" onClick="popup('$admin_url/admin26.cgi?fct=fp_options',screen.width-200,screen.height-200);return false;">configuring the Front Page and Front Page Method</a>.</p></td>
          </tr>
          <tr>
            <td width="20%" valign="top"><p><strong>!!subbold!! / !!subclosebold!!</strong></p></td>
            <td width="80%" valign="top"><p>Replaced by the <strong>&lt;b&gt;</strong> and <strong>&lt;/b&gt; </strong>HTML tags if it is required that the sub category names be in bold. This is configured when <a href="$admin_url/admin/admin26.cgi?fct=fp_options" onClick="popup('$admin_url/admin26.cgi?fct=fp_options',screen.width-200,screen.height-200);return false;">configuring the Front Page and Front Page Method</a>.</p></td>
          </tr>
          <tr>
            <td valign="top"><p><strong>!!subitalic!! / !!subclosebold!!</strong></p></td>
            <td valign="top"><p>Replaced by the <strong>&lt;i&gt;</strong> and <strong>&lt;/i&gt; </strong>HTML tags if it is required that the sub category names be in Italic. This is configured when <a href="$admin_url/admin/admin26.cgi?fct=fp_options" onClick="popup('$admin_url/admin26.cgi?fct=fp_options',screen.width-200,screen.height-200);return false;">configuring the Front Page and Front Page Method</a>.</p></td>
          </tr>
          <tr>
            <td valign="top"><p><strong>!!sub_cat_url!!</strong></p></td>
            <td valign="top"><p>Replaced by  sub category URLs.</p></td>
          </tr>
          <tr>
            <td valign="top"><p><strong>!!sub_cat_name!!</strong></p></td>
            <td valign="top"><p>Replaced by sub category names. </p></td>
          </tr>
          <tr>
            <td valign="top"><p><strong>!!nr!!</strong></p></td>
            <td valign="top"><p>Replaced by the total number of links inside sub categories.</p></td>
          </tr>
          <tr>
            <td valign="top"><p><strong>!!etc!!</strong></p></td>
            <td valign="top"><p>Replaced by text displayed at the end of the last sub category listing.</p></td>
          </tr>
          
        </table>
        </td>
    </tr>
  </table>
  <table border="0" cellpadding="0" cellspacing="0" width="100%"
background="$web_url/shadow.gif">
    <tr>
      <td width="1%" bgcolor="#FFFFFF"><font color="#FFFFFF">_ </font></td>
      <td width="99%"></td>
    </tr>
  </table>
  
  <table width="100%" border="0" cellpadding="6"
cellspacing="1" style="border: 1px solid rgb(221,221,221)">
  <tr>
    <td width="101%" valign="top" bgcolor="#FFE135" class="normaltext"
    background="$web_url/bar6.gif"><strong>Category Description Style </strong></td>
  </tr>
  <tr>
    <td width="101%" valign="top" class="normaltext">The HTML code in this template is used to construct the category description of categories when category descriptions need to be displayed. </td>
  </tr>
  <tr>
    <td valign="top" class="normaltext"><p>
      <textarea name="cat_diz" cols="100" rows="3" id="cat_diz" style="width:100%">$cat_diz</textarea>
      <br>
      <strong>Variables used inside this Template: </strong></p>
      <table width="100%" border="0" cellpadding="3" cellspacing="1">
        <tr>
          <td width="20%" valign="top"><p><strong>!!diz_cat_font!!</strong></p></td>
          <td width="80%" valign="top"><p>Replaced by the font used for  category descriptions.  This is configured when <a href="$admin_url/admin/admin26.cgi?fct=fp_options" onClick="popup('$admin_url/admin26.cgi?fct=fp_options',screen.width-200,screen.height-200);return false;">configuring the Front Page and Front Page Method</a>.</p></td>
        </tr>
        <tr>
          <td width="20%" valign="top"><p><strong>!!diz_cat_font_size!!</strong></p></td>
          <td width="80%" valign="top"><p>Replaced by the font size used for category descriptions. <a href="$admin_url/admin/admin26.cgi?fct=fp_options" onClick="popup('$admin_url/admin26.cgi?fct=fp_options',screen.width-200,screen.height-200);return false;"></a>This is configured when <a href="$admin_url/admin/admin26.cgi?fct=fp_options" onClick="popup('$admin_url/admin26.cgi?fct=fp_options',screen.width-200,screen.height-200);return false;">configuring the Front Page and Front Page Method</a>.</p></td>
        </tr>
        <tr>
          <td width="20%" valign="top"><p><strong>!!dizbold!! / !!dizclosebold!!</strong></p></td>
          <td width="80%" valign="top"><p>Replaced by the <strong>&lt;b&gt;</strong> and <strong>&lt;/b&gt; </strong>HTML tags if it is required that the  category description be in bold. This is configured when <a href="$admin_url/admin/admin26.cgi?fct=fp_options" onClick="popup('$admin_url/admin26.cgi?fct=fp_options',screen.width-200,screen.height-200);return false;">configuring the Front Page and Front Page Method</a>.</p></td>
        </tr>
        <tr>
          <td valign="top"><p><strong>!!dizitalic!! / !!dizcloseitalic!!</strong></p></td>
          <td valign="top"><p>Replaced by the <strong>&lt;i&gt;</strong> and <strong>&lt;/i&gt; </strong>HTML tags if it is required that the  category description be in Italic. This is configured when <a href="$admin_url/admin/admin26.cgi?fct=fp_options" onClick="popup('$admin_url/admin26.cgi?fct=fp_options',screen.width-200,screen.height-200);return false;">configuring the Front Page and Front Page Method</a>.</p></td>
        </tr>
        <tr>
          <td valign="top"><p><strong>!!cat_name_diz!!</strong></p></td>
          <td valign="top"><p>Replaced by category descriptions. (The meta description of a category is used for this) </p></td>
        </tr>
      </table>
      </td>
  </tr>
</table>
<table width="100%" border="0" cellpadding="0" cellspacing="0"
background="$web_url/shadow.gif">
  <tr>
    <td width="1%" bgcolor="#FFFFFF"><font color="#FFFFFF">_ </font></td>
    <td width="99%"></td>
  </tr>
</table>
<table width="100%" border="0" cellpadding="6"
cellspacing="1" style="border: 1px solid rgb(221,221,221)">
  <tr>
    <td width="101%" valign="top" bgcolor="#FFE135" class="normaltext"
    background="$web_url/bar6.gif"><strong>Table Cell End </strong></td>
  </tr>
  <tr>
    <td width="101%" valign="top" class="normaltext">The HTML code in this section is used to indicate the end of a table cell. Normally just: <strong>&lt;/td&gt;</strong> </td>
  </tr>
  <tr>
    <td valign="top" class="normaltext"><textarea name="cellend" cols="100" rows="2" id="cellend" style="width:100%">$cellend</textarea></td>
  </tr>
</table>
<table width="100%" border="0" cellpadding="0" cellspacing="0"
background="$web_url/shadow.gif">
  <tr>
    <td width="1%" bgcolor="#FFFFFF"><font color="#FFFFFF">_ </font></td>
    <td width="99%"></td>
  </tr>
</table>
<table width="100%" border="0" cellpadding="6"
cellspacing="1" style="border: 1px solid rgb(221,221,221)">
  <tr>
    <td width="101%" valign="top" bgcolor="#FFE135" class="normaltext"
    background="$web_url/bar6.gif"><strong>Table Column End </strong></td>
  </tr>
  <tr>
    <td width="101%" valign="top" class="normaltext">The HTML code in this section is used to indicate the end of a table column. Normally just: <strong>&lt;/tr&gt;</strong> </td>
  </tr>
  <tr>
    <td valign="top" class="normaltext"><textarea name="colcellend" cols="100" rows="2" id="colcellend" style="width:100%">$colcellend</textarea></td>
  </tr>
</table>
<label></label>
<table width="100%" border="0" cellpadding="0" cellspacing="0"
background="$web_url/shadow.gif">
  <tr>
    <td width="1%" bgcolor="#FFFFFF"><font color="#FFFFFF">_ </font></td>
    <td width="99%"></td>
  </tr>
</table>
<label></label>
<table width="100%" border="0" cellpadding="6"
cellspacing="1" style="border: 1px solid rgb(221,221,221)">
  <tr>
    <td width="101%" valign="top" bgcolor="#FFE135" class="normaltext"
    background="$web_url/bar6.gif"><strong>Table End </strong></td>
  </tr>
  <tr>
    <td width="101%" valign="top" class="normaltext">The HTML code in this section is used to indicate the end of a table. Normally just: <strong>&lt;/table&gt;</strong></td>
  </tr>
  <tr>
    <td valign="top" class="normaltext"><textarea name="table_html_end" cols="100" rows="2" id="table_html_end" style="width:100%">$table_html_end</textarea></td>
  </tr>
</table>
<label></label>
<table width="100%" border="0" cellpadding="0" cellspacing="0"
background="$web_url/shadow.gif">
  <tr>
    <td width="1%" bgcolor="#FFFFFF"><font color="#FFFFFF">_ </font></td>
    <td width="99%"></td>
  </tr>
</table>
<label><br>
</label>
<label>
<input type="submit" name="Submit" value="Save HTML Code">
</label>
 <input type="submit" name="Submit2" value="Restore Default">
 <input name="fct" type="hidden" id="fct" value="save_table_html">
</form>
<BR>
$helpb
</body>
</html>
];


}





sub update_frontpage
{


### JAVASCRIPT

	$allcats = psfp::generate_categories("fp_jscript.cfg");
	$allcats =~ s/\n/ /g;
	$crit = chr(10); $allcats =~ s/$crit/ /g;
	$crit = chr(13); $allcats =~ s/$crit/ /g;
	$allcats =~ s/'/\\'/g;

$java_head_tags = "<script SRC=\"$web_url/categories.js\"></script>";
$java_body_tags = "<script LANGUAGE=\"JavaScript\" TYPE=\"text/javascript\">
<!--
var random = parseInt(Math.random()*10000)
get_categories(random);
// -->
</script>";

$script_to_write = qq[
	function get_categories()
	{
	document.write ('$allcats');
	}
];


$presc = qq[document.write('<script type="text/javascript" src="$web_url/categories2.js?' + (new Date()).getTime() + '"></script>');];

	open (SCRW, "> $web_dir/categories.js") || acs::problem_popup("Could not write to file $web_dir/categories.js :$!");
		print SCRW $presc;
	close (SCRW);
	$stat = chmod($default_permissions,"$web_dir/categories.js");

	open (SCRW, "> $web_dir/categories2.js") || acs::problem_popup("Could not write to file $web_dir/categories.js :$!");
		print SCRW $script_to_write;
	close (SCRW);
	$stat = chmod($default_permissions,"$web_dir/categories2.js");


### SSI

	$allcats = psfp::generate_categories("fp_ssi.cfg");
	$allcats =~ s/\n/ /g;
	$crit = chr(10); $allcats =~ s/$crit/ /g;
	$crit = chr(13); $allcats =~ s/$crit/ /g;


	$fpsettings1 = acs::get_file_contents("$data_dir/fp_ssi.cfg");
	if ($fpsettings1 eq "") { acs::get_file_contents("$data_dir/fp.cfg"); }
	(@fp_settings1) = split (/\n/, $fpsettings1);



if ($fp_settings1[9] ne "")
	{
	open (IFILE, "> $fp_settings1[9]") || acs::problem_popup("Could not write to file $fp_settings1[9] :$! - Ensure that the server path you are using exists. If the path exists and is correct then the script may not have permission to write to this directory. <b>If you are not familiar with SSI then it would be best to use the JavaScript Include method for your front page. <a href=\"$admin_url/admin26.cgi?fct=settings\">click here to change the path where the include file is written to.</a></b>"); 		
	 print IFILE $allcats;
	close (IFILE);
	$stat = chmod($default_permissions,"$fp_settings1[9]","$fp_settings1[9]");
	}



### IFRAME

		$allcats = psfp::generate_categories("fp_iframe.cfg");
		$allcats =~ s/\n/ /g;
		$crit = chr(10); $allcats =~ s/$crit/ /g;
		$crit = chr(13); $allcats =~ s/$crit/ /g;

		open (IFRMP, "> $web_dir/iframe_pg.html") || acs::problem_popup("Could not write to file $web_dir/iframe_pg.html :$!");
			print IFRMP $allcats;
		close (IFRMP);


$hbox = acs::get_heading_box("$web_url/ic_gen.gif", "Front Page Updated", qq[
<a href="$admin_url/admin26.cgi">Click Here to Continue.</a>
]);
 



$time = time();
$date = acs::decode_date($time);

open (TBUILD, "> $data_dir/fpgentime.dat") || acs::problem_popup("Could write to file $data_dir/fpgentime.dat :$! - Ensure that this file has the permission setting of 777.");
	print TBUILD $date;
close (TBUILD);
chmod($default_permissions,"$data_dir/fpgentime.dat","$data_dir/fpgentime.dat"); 


print qq[
<html>
<head>
<title>PowerSeek</title>
<link href="$web_url/ps.css" rel="stylesheet" type="text/css">
</head>
<body>
$hbox
</body>
</html>
];



}




sub get_sbox2
{

$gsettings = new_gsettings acs;
if ($gsettings->{searchmeth} eq "fulltext")
	{
	$search_scrp = "search2.cgi";
	}
	else
	{
	$search_scrp = "search.cgi";
	}


$search_html2 = <<END_OF_SRC;
<form method="POST" action="$script_url/$search_scrp">
<p><input type="text" name="keywords" size="33">
<select name="cat_search" size="1">
 <option value="everything">Everything</option>
 <option value="!!thiscategory!!">This Category</option>
</select>
<input type="submit" value="Search" name="B1"> 
<a href="$script_url/searchadv.cgi">Advanced</a></p>
</form>

END_OF_SRC


print qq[

<html>

<head>
<title>PowerSeek</title>
</head>

<body>

<table border="0" cellpadding="6" cellspacing="1" width="100%">
  <tr>
    <td width="1%" valign="top"><p align="center"><img src="$web_url/ic_search.gif"></td>
    <td width="95%" valign="top"><strong><font face="Arial" size="4"><strong>Obtain Search Box
    HTML Code For Category Search<br>
    </strong></font><font face="Verdana" size="1"><a href="$admin_url/admin26.cgi">Front Page
    Generation Main</a> <img src="$web_url/lar.gif" width="6" height="10"><img
    src="$web_url/lar.gif" width="6" height="10"> <a
    href="$admin_url/admin26.cgi?fct=fp_options">Generation Options</a> <img
    src="$web_url/lar.gif" width="6" height="10"><img src="$web_url/lar.gif" width="6"
    height="10"> Obtain Search Box HTML Code for category search</font></strong></td>
  </tr>
</table>

<hr noshade size="1" color="#F2F2F2">

<table border="0" cellpadding="6" width="100%" style="border: 1px solid rgb(192,192,192)"
cellspacing="0">
  <tr>
    <td width="101%" valign="top" bgcolor="#FFE135"><font face="Verdana" size="1"><strong>Search
    Box HTML Code for category search<br>
    </strong>The HTML code for this search box is only to be used inside a template called
    defdir.html (The default Directory/Category Template). This seach box additionally has a
    drop down menu where visitors can choose to only search the existing category where the
    visitor currently browsing.</font></td>
  </tr>
  <tr>
    <td width="101%" valign="top"><blockquote>
      <p><strong><font size="1" face="Verdana" color="#0000FF">&nbsp;&nbsp;&nbsp;&nbsp; <br>
      </font><font face="Verdana" size="1">Place the following search box HTML code in the front
      page or any other page of your web site.</font></strong></p>
    </blockquote>
    <form method="POST" action="--WEBBOT-SELF--">
      <!--webbot bot="SaveResults" startspan S-Label-Fields="TRUE"
      U-File="_private/form_results.txt" S-Format="TEXT/CSV" --><!--webbot bot="SaveResults"
      endspan --><blockquote>
        <p><textarea rows="5" name="searchbox" cols="46">$search_html</textarea></p>
      </blockquote>
    </form>
    <p>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; </td>
  </tr>
</table>

<table border="0" cellpadding="0" cellspacing="0" width="100%"
background="$web_url/shadow.gif">
  <tr>
    <td width="1%" bgcolor="#FFFFFF"><font color="#FFFFFF">_</font></td>
    <td width="99%"></td>
  </tr>
</table>

<p><font face="Verdana" size="1"><strong><a href="$admin_url/admin26.cgi?fct=fp_options">Go
Back</a> | <a href="$admin_url/admin26.cgi">Frontpage Generation Main</a></strong></font></p>
</body>
</html>


];



}




sub get_sbox
{

$gsettings = new_gsettings acs;
if ($gsettings->{searchmeth} eq "fulltext")
	{
	$search_scrp = "search2.cgi";
	}
	else
	{
	$search_scrp = "search.cgi";
	}
	

$search_html = qq[
<form method="POST" action="$script_url/$search_scrp">
  <p><input type="text" name="keywords" size="33"><input type="submit" value="Search"
  name="B1"> <a href="$script_url/searchadv.cgi">Advanced</a></p>
</form>
];


$search_html2 = qq[
<form method="POST" action="$script_url/$search_scrp">
<p><input type="text" name="keywords" size="33">
<select name="cat_search" size="1">
 <option value="everything">Everything</option>
 <option value="!!thiscategory!!">This Category</option>
</select>
<input type="submit" value="Search" name="B1"> 
<a href="$script_url/searchadv.cgi">Advanced</a></p>
</form>
];


$hbox = acs::get_heading_box("$web_url/ic_search.gif", "Obtain Search Box HTML Code", qq[
<a href="$admin_url/admin26.cgi"><strong>Go Back</strong></a>
]); 


print qq[
<html>
<head>
<title>PowerSeek</title>
<link href="$web_url/ps.css" rel="stylesheet" type="text/css"> 
</head>
<body>

$hbox


<table border="0" cellpadding="6" width="100%" style="border: 1px solid rgb(221,221,221)"
cellspacing="1">
  <tr>
    <td width="101%" valign="top" bgcolor="#FFE135" class="normaltext"
    background="$web_url/bar6.gif"><strong>Search Box HTML Code</strong></td>
  </tr>
  <tr>
    <td width="101%" valign="top" class="normaltext"><strong>Place the following search box
    HTML code in the front page or any other page of your web site.</strong> <form
    method="POST" action="--WEBBOT-SELF--">
      <!--webbot bot="SaveResults" startspan S-Label-Fields="TRUE"
      U-File="_private/form_results.txt" S-Format="TEXT/CSV" -->
<!--webbot bot="SaveResults"
      endspan --><p><textarea rows="5" name="searchbox" cols="46"  style="width:100%">$search_html</textarea> </p>
    </form>
    </td>
  </tr>
</table>

<table border="0" cellpadding="0" cellspacing="0" width="100%"
background="$web_url/shadow.gif">
  <tr>
    <td width="1%" bgcolor="#FFFFFF"><font color="#FFFFFF">_ </font></td>
    <td width="99%"></td>
  </tr>
</table>

<table border="0" cellpadding="6" width="100%" style="border: 1px solid rgb(221,221,221)"
cellspacing="1">
  <tr>
    <td width="101%" valign="top" bgcolor="#FFE135" class="normaltext"
    background="$web_url/bar6.gif"><strong>Search Box HTML Code for category search in
    Category Templates:</strong></td>
  </tr>
  <tr>
    <td width="101%" valign="top" class="normaltext">The HTML code for this search box can
    only be used inside PowerSeek <a href="$admin_url/admin27.cgi" target="_blank">Custom
    Category Templates</a> or the <a
    href="$admin_url/admin6.cgi?fct=edit_template&amp;template=defdir" target="_blank">Default
    Category Template Called: defdir.html </a>. This seach box additionally has a drop down
    menu where visitors can choose to only search the existing category that is currently
    being browsed.<p><strong>Place the following search box HTML code inside the <a
    href="$admin_url/admin6.cgi?fct=edit_template&amp;template=defdir">default category
    template</a> or <a href="$admin_url/admin27.cgi" target="_blank">Custom Category
    Template Sets.</a></strong></p>
    <form method="POST" action="--WEBBOT-SELF--">
      <!--webbot bot="SaveResults" startspan S-Label-Fields="TRUE"
      U-File="_private/form_results.txt" S-Format="TEXT/CSV" -->
<!--webbot bot="SaveResults"
      endspan --><p><textarea rows="10" name="searchbox" cols="46"  style="width:100%">$search_html2</textarea></p>
    </form>
    </td>
  </tr>
</table>

<table border="0" cellpadding="0" cellspacing="0" width="100%"
background="$web_url/shadow.gif">
  <tr>
    <td width="1%" bgcolor="#FFFFFF"><font color="#FFFFFF">_ </font></td>
    <td width="99%"></td>
  </tr>
</table>


</body>
</html>
];

}







sub fp_generate
{


### SAVE SETTINGS
$fpmeth = $q->param('fpmeth');

if ($fpmeth eq "jscript") { $fp_filename = "fp_jscript.cfg"; }
elsif ($fpmeth eq "iframe") { $fp_filename = "fp_iframe.cfg"; }
elsif ($fpmeth eq "fp_template") { $fp_filename = "fp_template.cfg"; }
elsif ($fpmeth eq "ssi") 
		{
		$fp_filename = "fp_ssi.cfg"; 
		if ($q->param('frontpage_file_loc') eq "")
			{
				acs::problem_popup("You have to specify a full server path with it's file name where the front page categories are to be written to.");
			}
		}
elsif ($fpmeth eq "manual") { $fp_filename = "fp_manual.cfg"; }



open (FPS, "> $data_dir/$fp_filename");
	print FPS $q->param('cols') . "\n";									### 0
	print FPS $q->param('cell_spacing') . "\n";						### 1
	print FPS $q->param('table_padding') . "\n";						### 2
	print FPS $q->param('table_back') . "\n";							### 3
	print FPS $q->param('cell_back') . "\n";							### 4
	print FPS $q->param('cat_diz') . "\n";								### 5
	print FPS $q->param('sub_dirs_include') . "\n";					### 6
	print FPS $q->param('subcat_number') . "\n";						### 7
	print FPS $q->param('link_numbers') . "\n";						### 8
	print FPS $q->param('frontpage_file_loc') . "\n";				### 9
	print FPS $q->param('automatically_build_fp') . "\n";			### 10
	print FPS $q->param('include_frontpage_template') . "\n";	### 11
	print FPS $q->param('main_cat_font') . "\n";						### 12
	print FPS $q->param('main_cat_font_size') . "\n";				### 13
	print FPS $q->param('sub_cat_font') . "\n";						### 14
	print FPS $q->param('sub_cat_font_size') . "\n";				### 15 
	print FPS $q->param('cell_height') . "\n";						### 16 cell_height
	print FPS $q->param('diz_font') . "\n";							### 17 diz_font
	print FPS $q->param('diz_font_size') . "\n";						### 18 diz_font_size
	print FPS $q->param('subseperate') . "\n";						### 19 subcategory seperator
	print FPS $q->param('newlinks') . "\n";							### 20 new graphic
	
	print FPS "0\n";															### 21 CID
	
	print FPS $q->param('main_bold') . ":" .  $q->param('main_italic') . "\n"; ### 22 MAIN CATEGORY BOLD ITALIC
	
	print FPS $q->param('subetc') . "\n";								### 23 What text should be displayed at the end of the sub category listing:
	
	print FPS $q->param('sub_bold') . ":" .  $q->param('sub_italic') . "\n"; ### 24 SUB CATEGORY BOLD ITALIC
	
	print FPS $q->param('diz_bold') . ":" .  $q->param('diz_italic') . "\n"; ### 25 DESCRIPTION BOLD ITALIC
	
	$not_included = $q->param('related_categories');
	$not_included =~ s/\n/ /g;
	$crit = chr(10); $not_included =~ s/$crit/ /g;
	$crit = chr(13); $not_included =~ s/$crit/ /g;
	$not_included =~ s/ //g;
	print FPS $not_included . "\n"; ### 26 CATEGORIES NOT TOO DISPLAY
	
close (FPS);





### GET FRONT PAGE SETTINGS

$fpsettings1 = acs::get_file_contents("$data_dir/$fp_filename");
(@fp_settings1) = split (/\n/, $fpsettings1);

#0  cols
#1  cell_spacing
#2  table_padding
#3  table_back
#4  cell_back
#5  cat_diz
#6  sub_dirs_include
#7  subcat_number!!
#8  link_numbers
#9  frontpage_file_loc
#10 automatically_build_fp
#11 include_frontpage_template
#12 main_cat_font
#13 main_cat_font_size
#14 sub_cat_font
#15 sub_cat_font_size
#16 cell height
#20 New graphic


### GET SEARCH BOX HTML

$gsettings = new_gsettings acs;
if ($gsettings->{searchmeth} eq "fulltext")
	{
	$search_scrp = "search2.cgi";
	}
	else
	{
	$search_scrp = "search.cgi";
	}
$search_html = <<END_OF_SRC;
<form method="POST" action="$script_url/$search_scrp">
  <p><input type="text" name="keywords" size="33"><input type="submit" value="Search"
  name="B1"></p>
</form>
END_OF_SRC


#### LINKS BOX

if ($gsettings->{dyn_stat} eq "Dynamic")
	{
		$l_whatsnew = "$script_url/dirs.cgi?newpop=new";
		$l_tophits = "$script_url/dirs.cgi?newpop=pop";
	}
	else
	{
		$l_whatsnew = "$web_url/new/";
		$l_tophits = "$web_url/pop/";
	}


$helpb = acs::quick_help("Help",qq[

<p>Note that you will likely also want to place the following links to the PowerSeek functions on your Front Page:</p>
<p><strong>What's New: </strong><br>
This is the link that end users can click to see the latest additions to the Directory. </p>
<ul>
  <li>
    <p><a href="$l_whatsnew" target="_blank">$l_whatsnew</a></p>
  </li>
</ul>
<p><strong>Most Popular: (Also Referred to as 'Top Hits')</strong><br>
  This is the link that end users can click to see the most Popular links in the Directory. </p>
<ul>
  <li>
    <p><a href="$l_tophits" target="_blank">$l_tophits</a></p>
  </li>
</ul>
<p><strong>Login</strong>:<br>
This is the login link that end users can click to log into their accounts to submit links for example or to modify existing links.</p>
<ul>
  <li>
    <p><a href="$script_url/rgs_login.cgi" target="_blank">$script_url/rgs_login.cgi</a></p>
  </li>
</ul>
<p><strong>Register</strong>:<br>
This is the link that end users can click to register an account to submit a new link.</p>
<ul>
  <li><a href="$script_url/rgs_register.cgi" target="_blank">$script_url/rgs_register.cgi</a></li>
</ul>
<p><strong>Advanced Search <br>
</strong>This link can be clicked to do an Advanced Search on the Directory.</p>
<ul>
  <li>
    <p><a href="$script_url/searchadv.cgi" target="_blank">$script_url/searchadv.cgi </a></p>
  </li>
</ul>
<p><strong>Favorites:</strong><br>
This is the link end users can click to view their 'Favorite' links. The favorite links can be added when clicking the 'Add to Favorites' button or link next to each link when browsing the Directory.</p>
<ul>
  <li>
    <p><a href="$script_url/fav.cgi" target="_blank">$script_url/fav.cgi</a></p>
  </li>
</ul>
<p><strong>Add URL: </strong><br>
This is the link that can be clicked to submit a new link.</p>
<ul>
  <li>
    <p><a href="$script_url/addurl.cgi" target="_blank">$script_url/addurl.cgi</a></p>
  </li>
</ul>
<p><strong>Add Premium URL:<br>
</strong>This is the link that can be clicked to submit a new premium link.</p>
<ul>
  <li>
    <p><a href="$script_url/addurl.cgi?p=1" target="_blank">$script_url/addurl.cgi?p=1</a> </p>
  </li>
</ul>

]); 


#### PREVIEW BOX

$hprev = acs::get_heading_box("$web_url/ic_frontp3.gif", "Front Page Categories Preview", qq[
Below is a Preview of how the Front Page Categories looks like for this method.
]);


#### GENERATE FRONT PAGE

&write_gen_date;


if ($q->param('fpmeth') eq "jscript")
	{

@domain_det = split (/\//, $admin_url);
$domain_url = "http://" . $domain_det[2] . "/index.html";


	### GENERATE FRONT PAGE
	$allcats = psfp::generate_categories("fp_jscript.cfg");
	$origcats = $allcats;
	$allcats =~ s/\n/ /g;
	$crit = chr(10); $allcats =~ s/$crit/ /g;
	$crit = chr(13); $allcats =~ s/$crit/ /g;
	$allcats =~ s/'/\\'/g;



####### WRITE JAVASCRIPT INCLUDES
$java_head_tags = "<script SRC=\"$web_url/categories.js\"></script>";
$java_body_tags = "<script LANGUAGE=\"JavaScript\" TYPE=\"text/javascript\">
<!--
var random = parseInt(Math.random()*10000)
get_categories(random);
// -->
</script>";

$script_to_write = qq[
	function get_categories()
	{
	document.write ('$allcats');
	}
];


$presc = qq[document.write('<script type="text/javascript" src="$web_url/categories2.js?' + (new Date()).getTime() + '"></script>');];

	open (SCRW, "> $web_dir/categories.js") || acs::problem_popup("Could not write to file $web_dir/categories.js :$!");
		print SCRW $presc;
	close (SCRW);
	$stat = chmod($default_permissions,"$web_dir/categories.js");

	open (SCRW, "> $web_dir/categories2.js") || acs::problem_popup("Could not write to file $web_dir/categories.js :$!");
		print SCRW $script_to_write;
	close (SCRW);
	$stat = chmod($default_permissions,"$web_dir/categories2.js");


$hbox = acs::get_heading_box("$web_url/ic_frontp3.gif", "Obtain JavaScript & HTML Code", qq[
<a href="$admin_url/admin26.cgi">Front Page Setups & Updating</a> <img src="$web_url/lar.gif"><img src="$web_url/lar.gif"> 
<a href="$admin_url/admin26.cgi?fct=fp_options">Front Page Creation Method</a> <img src="$web_url/lar.gif"><img src="$web_url/lar.gif"> 
<a href="" onClick="history.go(-1); return false;">Category Look & Feel Settings</a> <img src="$web_url/lar.gif"><img src="$web_url/lar.gif"> 
Obtain JavaScript & HTML Code
]);
 




print qq[
<html>
<head>
<title>PowerSeek</title>
<link href="$web_url/ps.css" rel="stylesheet" type="text/css"> 
</head>
<body>
$hbox



<table border="0" cellpadding="6" width="100%" style="border: 1px solid rgb(221,221,221)"
cellspacing="1">
  <tr>
    <td width="100%" height="30" valign="top" background="$web_url/bar6.gif" bgcolor="#FFE135" class="normaltext"><strong>Front Page Setup Instructions:</strong></td>
  </tr>
  <tr>
    <td width="101%" valign="top" class="normaltext"><blockquote>
      <p>Create a web page that you will place here for example:<br>
          <strong>$domain_url</strong></p>
      <p>After creating the above web page copy and paste the <strong>JavaScript Code</strong> and <strong>Search Box HTML Code</strong> as listed below into the web page you just created.</p>
    </blockquote>      </td>
  </tr>
</table>
<table border="0" cellpadding="0" cellspacing="0" width="100%"
background="$web_url/shadow.gif">
  <tr>
    <td width="1%" bgcolor="#FFFFFF"><font color="#FFFFFF">_ </font></td>
    <td width="99%"></td>
  </tr>
</table>
<table border="0" cellpadding="6" width="100%" style="border: 1px solid rgb(221,221,221)"
cellspacing="1">
  <tr>
    <td width="100%" height="30" valign="top" background="$web_url/bar6.gif" bgcolor="#FFE135" class="normaltext"><strong>JavaScript Code to pull categories
    into existing front page or any other HTML page. </strong></td>
  </tr>
  <tr>
    <td width="101%" valign="top" class="normaltext"><blockquote>
      <p><strong>Place the following anywhere in the Web Page where you would like the front
      page categories displayed: </strong></p>
    </blockquote>
    <form method="POST" action="--WEBBOT-SELF--">
      <!--webbot bot="SaveResults" startspan U-File="_private/form_results.txt"
      S-Format="TEXT/CSV" S-Label-Fields="TRUE" -->
<!--webbot bot="SaveResults" endspan --><blockquote>
        <p><textarea rows="8" name="S1" cols="46" style="width:100%">$java_head_tags
$java_body_tags
</textarea> </p>
      </blockquote>
    </form>
    </td>
  </tr>
</table>

<table border="0" cellpadding="0" cellspacing="0" width="100%"
background="$web_url/shadow.gif">
  <tr>
    <td width="1%" bgcolor="#FFFFFF"><font color="#FFFFFF">_ </font></td>
    <td width="99%"></td>
  </tr>
</table>

<table border="0" cellpadding="6" width="100%" style="border: 1px solid rgb(221,221,221)"
cellspacing="1">
  <tr>
    <td width="101%" height="30" valign="top" background="$web_url/bar6.gif" bgcolor="#FFE135" class="normaltext"><strong>Search Box HTML Code</strong></td>
  </tr>
  <tr>
    <td width="101%" valign="top" class="normaltext"><blockquote><p><strong>      Place the following Search Box HTML code in the front page or any other page of your web
      site. </strong></p>
    </blockquote>
    <form method="POST" action="--WEBBOT-SELF--">
      <!--webbot bot="SaveResults" startspan S-Label-Fields="TRUE"
      U-File="_private/form_results.txt" S-Format="TEXT/CSV" -->
<!--webbot bot="SaveResults"
      endspan --><blockquote>
        <p><textarea rows="5" name="searchbox" cols="46" style="width:100%">$search_html</textarea> </p>
      </blockquote>
    </form>

  </tr>
</table>

<table border="0" cellpadding="0" cellspacing="0" width="100%"
background="$web_url/shadow.gif">
  <tr>
    <td width="1%" bgcolor="#FFFFFF"><font color="#FFFFFF">_ </font></td>
    <td width="99%"></td>
  </tr>
</table>

<form method="POST" action="--WEBBOT-SELF--">
<input type="submit" value="   << Back   " name="B2"  onClick="history.go(-1); return false;">
</form>

$helpb

$hprev

$origcats

</body>
</html>

];

	}
##############################################################
	elsif ($q->param('fpmeth') eq "ssi")
	{

@domain_det = split (/\//, $admin_url);
$domain_url = "http://" . $domain_det[2] . "/index.html";


		### GENERATE FRONT PAGE
		$allcats = psfp::generate_categories("fp_ssi.cfg");
		$allcats_orig = $allcats;
		$allcats =~ s/\n/ /g;
		$crit = chr(10); $allcats =~ s/$crit/ /g;
		$crit = chr(13); $allcats =~ s/$crit/ /g;
		#$allcats =~ s/'/\\'/g;

		
		open (IFILE, "> $fp_settings1[9]") || acs::problem_popup("Could not write to file $fp_settings1[9] :$! - Ensure that the server path you are using exists. If the path exists and is correct then the script may not have permission to write to this directory. <b>If you are not familiar with SSI then it would be best to use the JavaScript Include method for your front page. <a href=\"$admin_url/admin26.cgi?fct=settings\">click here to change the path where the include file is written to.</a></b>"); 		
		 print IFILE $allcats;
		close (IFILE);
		$stat = chmod($default_permissions,"$fp_settings1[9]","$fp_settings1[9]");



$hbox = acs::get_heading_box("$web_url/ic_frontp3.gif", "SSI Categories Written to Include File", qq[
<a href="$admin_url/admin26.cgi">Front Page Setups & Updating</a> <img src="$web_url/lar.gif"><img src="$web_url/lar.gif"> 
<a href="$admin_url/admin26.cgi?fct=fp_options">Front Page Creation Method</a> <img src="$web_url/lar.gif"><img src="$web_url/lar.gif"> 
<a href="" onClick="history.go(-1); return false;">Category Look & Feel Settings</a> <img src="$web_url/lar.gif"><img src="$web_url/lar.gif"> 
SSI Categories Written to Include File
]);


print qq[
<html>
<head>
<title>PowerSeek</title>
<link href="$web_url/ps.css" rel="stylesheet" type="text/css">
</head>
<body>
$hbox


<table border="0" cellpadding="6" width="100%" style="border: 1px solid rgb(221,221,221)"
cellspacing="1">
  <tr>
    <td width="100%" height="30" valign="top" background="$web_url/bar6.gif" bgcolor="#FFE135"
    class="normaltext"><strong>Help &amp; Instructions:</strong></td>
  </tr>
  <tr>
    <td width="101%" valign="top" class="normaltext">The categories has been written to the
    file: <br>
    <strong>$fp_settings1[9]</strong><p>Create a web page that you will place here for
    example:<br>
    <strong>$domain_url</strong></p>
    <p>After creating the above web page copy and paste the<strong> HTML Code</strong> as
    listed below into the web page you just created.</p>
    <form name="form1" method="post" action>
      <label><p><textarea name="textarea" id="textarea" cols="50" rows="3" style="width:100%"><!--#include virtual="$fp_settings1[9]"-->
        </textarea> </label></p>
    </form>
    <p>The above is an <strong>SSI include tag</strong> to include the file:<br>
    <strong>$fp_settings1[9]<br>
    </strong>into your front page.</p>
    <p>Note that your web host needs to support the use of<strong> SSI (Server Side Includes)</strong>
    for this to work.<br>
    </td>
  </tr>
</table>

<table border="0" cellpadding="0" cellspacing="0" width="100%"
background="$web_url/shadow.gif">
  <tr>
    <td width="1%" bgcolor="#FFFFFF"><font color="#FFFFFF">_ </font></td>
    <td width="99%"></td>
  </tr>
</table>

<table border="0" cellpadding="6" width="100%" style="border: 1px solid rgb(221,221,221)"
cellspacing="1">
  <tr>
    <td width="101%" valign="top" bgcolor="#FFE135" class="normaltext"
    background="$web_url/bar6.gif" height="30"><strong>Search Box HTML Code</strong></td>
  </tr>
  <tr>
    <td width="101%" valign="top" class="normaltext"><strong>Place the following search box
    HTML code in the front page or any other page of your web site. </strong><form
    method="POST" action="--WEBBOT-SELF--">
      <!--webbot bot="SaveResults" startspan S-Label-Fields="TRUE"
      U-File="_private/form_results.txt" S-Format="TEXT/CSV" -->
<!--webbot bot="SaveResults"
      endspan --><p><textarea rows="5" name="searchbox" cols="46">
$search_html
</textarea> </p>
    </form>
    </td>
  </tr>
</table>

<table border="0" cellpadding="0" cellspacing="0" width="100%"
background="$web_url/shadow.gif">
  <tr>
    <td width="1%" bgcolor="#FFFFFF"><font color="#FFFFFF">_</font> </td>
    <td width="99%"></td>
  </tr>
</table>

<form method="POST" action="--WEBBOT-SELF--">
  <p><input type="submit" value="   &lt;&lt; Back   " name="B2"
  onClick="history.go(-1); return false;"> </p>
</form>
$helpb

$hprev

$allcats_orig

</body>
</html>
];

	}
######################################################
	elsif ($q->param('fpmeth') eq "manual")
	{

@domain_det = split (/\//, $admin_url);
$domain_url = "http://" . $domain_det[2] . "/index.html";	

	### GENERATE FRONT PAGE
	$allcats = psfp::generate_categories("fp_manual.cfg");
	$allcats_orig =$allcats;
	$allcats =~ s/\n/ /g;
	$crit = chr(10); $allcats =~ s/$crit/ /g;
	$crit = chr(13); $allcats =~ s/$crit/ /g;
	#$allcats =~ s/'/\\'/g;


$hbox = acs::get_heading_box("$web_url/ic_frontp3.gif", "Obtain HTML Code", qq[
<a href="$admin_url/admin26.cgi">Front Page Setups & Updating</a> <img src="$web_url/lar.gif"><img src="$web_url/lar.gif"> 
<a href="$admin_url/admin26.cgi?fct=fp_options">Front Page Creation Method</a> <img src="$web_url/lar.gif"><img src="$web_url/lar.gif"> 
<a href="" onClick="history.go(-1); return false;">Category Look & Feel Settings</a> <img src="$web_url/lar.gif"><img src="$web_url/lar.gif"> 
Obtain HTML Code
]);


print qq[
<html>
<head>
<title>PowerSeek</title>
<link href="$web_url/ps.css" rel="stylesheet" type="text/css"> 
</head>
<body>
$hbox



<table border="0" cellpadding="6" width="100%" style="border: 1px solid rgb(221,221,221)"
cellspacing="1">
  <tr>
    <td width="100%" height="30" valign="top" background="$web_url/bar6.gif" bgcolor="#FFE135"
    class="normaltext"><strong>Manual Front Page Setup Instructions:</strong></td>
  </tr>
  <tr>
    <td width="101%" valign="top" class="normaltext"><blockquote>
      <p>Create a web page that you will place here for example:<br>
      <strong>$domain_url</strong></p>
      <p>After creating the above web page copy and paste the <strong>Category HTML Code</strong>
      and <strong>Search Box HTML Code</strong> as listed below into the web page you just
      created.</p>
    </blockquote>
    </td>
  </tr>
</table>

<table border="0" cellpadding="0" cellspacing="0" width="100%"
background="$web_url/shadow.gif">
  <tr>
    <td width="1%" bgcolor="#FFFFFF"><font color="#FFFFFF">_</font> </td>
    <td width="99%"></td>
  </tr>
</table>

<table border="0" cellpadding="6" width="100%" style="border: 1px solid rgb(221,221,221)"
cellspacing="1" height="30">
  <tr>
    <td width="101%" valign="top" background="$web_url/bar6.gif" bgcolor="#FFE135" class="normaltext"><strong>Category
    HTML Code:</strong></td>
  </tr>
  <tr>
    <td width="101%" valign="top" class="normaltext"><form method="POST" action="--WEBBOT-SELF--">
      <!--webbot bot="SaveResults" startspan U-File="_private/form_results.txt"
      S-Format="TEXT/CSV" S-Label-Fields="TRUE" --><!--webbot bot="SaveResults" endspan --><p><textarea
      rows="17" name="s2" cols="46"  style="width:100%" >$allcats</textarea></p>
    </form>
    </td>
  </tr>
</table>

<table border="0" cellpadding="0" cellspacing="0" width="100%"
background="$web_url/shadow.gif">
  <tr>
    <td width="1%" bgcolor="#FFFFFF"><font color="#FFFFFF">_</font> </td>
    <td width="99%"></td>
  </tr>
</table>

<table border="0" cellpadding="6" width="100%" style="border: 1px solid rgb(221,221,221)"
cellspacing="1" height="30">
  <tr>
    <td width="101%" valign="top" background="$web_url/bar6.gif" bgcolor="#FFE135" class="normaltext"><strong>Search
    Box HTML Code</strong></td>
  </tr>
  <tr>
    <td width="101%" valign="top" class="normaltext"><strong>Place the following search box HTML code in the
    front page or any other page of your web site. </strong>
      <form method="POST"
    action="--WEBBOT-SELF--">
      <!--webbot bot="SaveResults" startspan S-Label-Fields="TRUE"
      U-File="_private/form_results.txt" S-Format="TEXT/CSV" -->
<!--webbot bot="SaveResults"
      endspan --><p><textarea rows="5" name="searchbox" cols="46"  style="width:100%" >$search_html</textarea></p>
    </form>
    </td>
  </tr>
</table>

<table border="0" cellpadding="0" cellspacing="0" width="100%"
background="$web_url/shadow.gif">
  <tr>
    <td width="1%" bgcolor="#FFFFFF"><font color="#FFFFFF">_</font> </td>
    <td width="99%"></td>
  </tr>
</table>

<form method="POST" action="--WEBBOT-SELF--">
  <p><input type="submit" value="   &lt;&lt; Back   " name="B2"
  onClick="history.go(-1); return false;"> </p>
</form>
$helpb

$hprev

$allcats_orig

</body>
</html>
];
	
	}
################################################################
	elsif ($q->param('fpmeth') eq "iframe")
	{



@domain_det = split (/\//, $admin_url);
$domain_url = "http://" . $domain_det[2] . "/index.html";


	$iframecode = qq[<iframe src="$web_url/iframe_pg.html" width="100%" height="100%" frameborder="0" scrolling="no"></iframe>];

		### GENERATE FRONT PAGE
		$allcats = psfp::generate_categories("fp_iframe.cfg");
		$allcats_orig = $allcats;
		$allcats =~ s/\n/ /g;
		$crit = chr(10); $allcats =~ s/$crit/ /g;
		$crit = chr(13); $allcats =~ s/$crit/ /g;
		#$allcats =~ s/'/\\'/g;

		open (IFRMP, "> $web_dir/iframe_pg.html") || acs::problem_popup("Could not write to file $web_dir/iframe_pg.html :$!");
			print IFRMP $allcats;
		close (IFRMP);


$hbox = acs::get_heading_box("$web_url/ic_frontp3.gif", "Obtain HTML Code", qq[
<a href="$admin_url/admin26.cgi">Front Page Setups & Updating</a> <img src="$web_url/lar.gif"><img src="$web_url/lar.gif"> 
<a href="$admin_url/admin26.cgi?fct=fp_options">Front Page Creation Method</a> <img src="$web_url/lar.gif"><img src="$web_url/lar.gif"> 
<a href="" onClick="history.go(-1); return false;">Category Look & Feel Settings</a> <img src="$web_url/lar.gif"><img src="$web_url/lar.gif"> 
Obtain HTML Code
]);


print qq[

<html>
<head>
<title>PowerSeek</title>
<link href="$web_url/ps.css" rel="stylesheet" type="text/css"> 
</head>

<body>

$hbox



<table border="0" cellpadding="6" width="100%" style="border: 1px solid rgb(221,221,221)"
cellspacing="1">
  <tr>
    <td width="100%" height="30" valign="top" background="$web_url/bar6.gif" bgcolor="#FFE135"
    class="normaltext"><strong>Front Page Setup Instructions:</strong></td>
  </tr>
  <tr>
    <td width="101%" valign="top" class="normaltext"><blockquote>
      <p>Create a web page that you will place here for example:<br>
      <strong>$domain_url</strong></p>
      <p>After creating the above web page copy and paste the <strong>Category HTML Code</strong>
      and <strong>Search Box HTML Code</strong> as listed below into the web page you just
      created.</p>
    </blockquote>
    </td>
  </tr>
</table>

<table border="0" cellpadding="0" cellspacing="0" width="100%"
background="$web_url/shadow.gif">
  <tr>
    <td width="1%" bgcolor="#FFFFFF"><font color="#FFFFFF">_</font> </td>
    <td width="99%"></td>
  </tr>
</table>
<table border="0" cellpadding="6" width="100%" style="border: 1px solid rgb(192,192,192)"
cellspacing="1">
  <tr>
    <td width="100%" height="30" valign="top" background="$web_url/bar6.gif" bgcolor="#FFE135" class="normaltext"><strong>Category HTML Code to place in Front Page:</strong></td>
  </tr>
  <tr>
    <td valign="top" class="normaltext">Place the HTML Code below inside your front page. Note that you will likely need
    to change the size of the IFRAME BOX. This can be obtained by setting the values of the <strong>height </strong>and <strong>width </strong>propperties in the HTML code below: </td>
  </tr>
  <tr>
    <td width="101%" valign="top" class="normaltext"><form method="POST" action="--WEBBOT-SELF--">
      <!--webbot bot="SaveResults" startspan S-Label-Fields="TRUE"
      U-File="_private/form_results.txt" S-Format="TEXT/CSV" -->
<!--webbot bot="SaveResults"
      endspan --><blockquote>
        <p>&nbsp;&nbsp; <br>
        <textarea rows="5" name="iframebox" cols="46" style="width:100%" >$iframecode</textarea></p>
        </blockquote>
    </form>    </td>
  </tr>
</table>

<table border="0" cellpadding="0" cellspacing="0" width="100%"
background="$web_url/shadow.gif">
  <tr>
    <td width="1%" bgcolor="#FFFFFF"><font color="#FFFFFF">_</font> </td>
    <td width="99%"></td>
  </tr>
</table>

<table border="0" cellpadding="6" width="100%" style="border: 1px solid rgb(192,192,192)"
cellspacing="1">
  <tr>
    <td width="100%" height="30" valign="top" background="$web_url/bar6.gif" bgcolor="#FFE135" class="normaltext"><strong>Search Box HTML Code</strong></td>
  </tr>
  <tr>
    <td valign="top" class="normaltext">Use the HTML code below if you would like to include a search box on your front
    page or on other pages of your web site. </td>
  </tr>
  <tr>
    <td width="101%" valign="top" class="normaltext"><blockquote>
      <p><strong>&nbsp;&nbsp;&nbsp;&nbsp; <br>
      Place the following search box HTML code in the front page or any other page of your web
      site. </strong></p>
    </blockquote>
    <form method="POST" action="--WEBBOT-SELF--">
      <!--webbot bot="SaveResults" startspan S-Label-Fields="TRUE"
      U-File="_private/form_results.txt" S-Format="TEXT/CSV" -->
<!--webbot bot="SaveResults"
      endspan --><blockquote>
        <p><textarea rows="5" name="searchbox" cols="46" style="width:100%">
$search_html
</textarea> </p>
      </blockquote>
    </form>
    <p>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; </td>
  </tr>
</table>

<table border="0" cellpadding="0" cellspacing="0" width="100%"
background="$web_url/shadow.gif">
  <tr>
    <td width="1%" bgcolor="#FFFFFF"><font color="#FFFFFF">_ </font></td>
    <td width="99%"></td>
  </tr>
</table>


<form method="POST" action="--WEBBOT-SELF--">
<input type="submit" value="   << Back   " name="B2"  onClick="history.go(-1); return false;">
</form><BR>

$helpb

$hprev

$allcats_orig

</body>
</html>

];

	}
	elsif ($q->param('fpmeth') eq "fp_template")
	{


$fp_write_path = acs::get_file_contents("$data_dir/fpwrite.dat"); 

if (length($fp_write_path) < 2)
	{
	$fpfile = "$web_dir/fp.html";	
	}
	else
	{
	$fpfile = "$fp_write_path";	
	}


$fp_html = acs::get_file_contents("$data_dir/psfp.html"); 


$topvar = acs::get_file_contents("$data_dir/frontlink.dat"); 


$hbox = acs::get_heading_box("$web_url/ic_frontp3.gif", "Edit Front Page Template", qq[
<a href="$admin_url/admin26.cgi">Front Page Setups & Updating</a> <img src="$web_url/lar.gif"><img src="$web_url/lar.gif"> 
<a href="$admin_url/admin26.cgi?fct=fp_options">Front Page Creation Method</a> <img src="$web_url/lar.gif"><img src="$web_url/lar.gif"> 
<a href="" onClick="history.go(-1); return false;">Category Look & Feel Settings</a> <img src="$web_url/lar.gif"><img src="$web_url/lar.gif"> 
Edit Front Page Template (Look and Feel of Front Page)
]);
  


print qq[
<html>
<head>
<title>PowerSeek</title>
<link href="$web_url/ps.css" rel="stylesheet" type="text/css">
</head>
<body>

$hbox



<table border="0" cellpadding="6" width="100%" style="border: 1px solid rgb(221,221,221)"
cellspacing="1">
  <tr>
    <td width="100%" height="30" valign="top" background="$web_url/bar6.gif" bgcolor="#FFE135"
    class="normaltext"><strong>Front Page Details:</strong></td>
  </tr>
  <tr>
    <td width="101%" valign="top" class="normaltext"><blockquote>
      <p><strong>Your front page can be accessed from: <br>
      <a href="$script_url/fp.cgi" target="_blank">$script_url/fp.cgi</a></strong></p>
    </blockquote>
    </td>
  </tr>
</table>

<table border="0" cellpadding="0" cellspacing="0" width="100%"
background="$web_url/shadow.gif">
  <tr>
    <td width="1%" bgcolor="#FFFFFF"><font color="#FFFFFF">_ </font></td>
    <td width="99%"></td>
  </tr>
</table>

<form method="POST" action="$admin_url/admin61.cgi">
  <input type="hidden" name="fct" value="save_fp_template"><table border="0" cellspacing="1"
  width="100%" cellpadding="6" bgcolor="#C0C0C0">
    <tr>
      <td width="100%" background="$web_url/bar6.gif" bgcolor="#FFE135" class="normaltext"><strong>Edit
      Front Page Template ( <a href="$script_url/fp.cgi" target="_blank">Preview Front Page</a>
      )</strong></td>
    </tr>
    <tr>
      <td width="100%" bgcolor="#FFFFFF" class="normaltext"><strong>Copy and paste the HTML code
      below into your web editor to edit the look and feel of your front page:</strong> <br>
      (Note that you defined the look and feel of the categories in the previous screen) <p><textarea
      rows="20" name="fptemplate" cols="99" style="width:100%">$fp_html</textarea> </p>
      <p><input type="submit" value="   Save   " name="B2"> </p>
      <blockquote>
        <p><strong>The front page template is located here: <br>
        $data_dir/psfp.html</strong></p>
      </blockquote>
      <blockquote>
        <div align="left"><p><strong>The following variables are used in this template: <br>
        </strong>Variables are the words enclosed by !! - it is replaced by front page categories
        and other data. </p>
        </div><blockquote>
          <div align="left"><p><strong>!!categories!! <br>
          </strong>This variable is replaced by your front page categories. You can define the style
          of it by going to the <br>
          Control Panel &gt;&gt; To Do &gt;&gt; Generate Front Page &gt;&gt; Front Page Category
          Creation/Generation Settings </p>
          </div>
        </blockquote>
        <div align="left"><p><strong>The variables below are available in this template and all
        other PowerSeek templates: </strong></p>
        </div><blockquote>
          <div align="left"><p><strong>!!add_premium_url_link!! <br>
          </strong>Replaced by a hyperlink to the premium add URL form. <br>
          <br>
          <strong>!!add_url_link!! </strong><br>
          Replaced by a hyperlink to the add URL form. </p>
          </div><div align="left"><p><strong>!!tophits!! <br>
          </strong>Replaced by a hyperlink to the page that lists the most popular links in the
          directory. <br>
          <br>
          <strong>!!whatsnew!! <br>
          </strong>Replaced by a hyperlink to the page that lists the most recent additions to the
          directory. <br>
          <br>
          <strong>!!rgs_login!! <br>
          </strong>Replaced by a hyperlink to the user login page. Note that you must use the user
          registration system for this option so that users can register accounts to submit their
          links. <br>
          <br>
          <strong>!!register!! <br>
          </strong>Replaced by a hyperlink to the registration form that users fill in to register
          an account. <br>
          <br>
          <strong>!build_url! <br>
          </strong>Replaced by a hyperlink to the 'html' directory or the PowerSeek directory that
          holds it's image files. </p>
          </div><div align="left"><p><strong>!!tseeksearch!! <br>
          </strong>Replaced by a hyperlink to the search script that takes care of searching.
          Typically used in a search form. <br>
          </p>
          </div>
        </blockquote>
        <div align="left"><p>Note that you may also use template includes with this template. For
        more on this go to the <br>
        Control Panel &gt;&gt; Template Manager &gt;&gt; Create/Edit Template Includes </p>
        </div><p><a href="$admin_url/admin36.cgi" target="_blank">Click here to find out how to
        use images inside of your templates </a><br>
        &nbsp;&nbsp;&nbsp;&nbsp; </p>
      </blockquote>
      </td>
    </tr>
  </table>
  <table border="0" cellpadding="0" cellspacing="0" width="100%"
  background="$web_url/shadow.gif">
    <tr>
      <td width="1%" bgcolor="#FFFFFF"><font color="#FFFFFF">_</font> </td>
      <td width="99%"></td>
    </tr>
  </table>
</form>


<form method="POST" action="--WEBBOT-SELF--">
<input type="submit" value="   << Back   " name="B2"  onClick="history.go(-1); return false;">
</form><BR>



</body>
</html>

];


	}



}





sub write_gen_date
{

### WRITE GENERATION DATE

$time = time();
$date = acs::decode_date($time);

open (TBUILD, "> $data_dir/fpgentime.dat") || acs::problem_popup("Could write to file $data_dir/fpgentime.dat :$! - Ensure that this file has the permission setting of 777.");
	print TBUILD $date;
close (TBUILD);
chmod($default_permissions,"$data_dir/fpgentime.dat","$data_dir/fpgentime.dat"); 

}




sub fp_options
{


$hbox = acs::get_heading_box("$web_url/ic_frontp3.gif", "Choose a Front Page Creation Method", qq[
<a href="$admin_url/admin26.cgi">Front Page Setups & Updating</a> <img src="$web_url/lar.gif"><img src="$web_url/lar.gif"> 
Front Page Creation Method
]);



@domain_det = split (/\//, $admin_url);
$domain_index = "http://" . $domain_det[2] . "/index.html";


print qq[

<html>

<head>
<title>PowerSeek</title>
<link href="$web_url/ps.css" rel="stylesheet" type="text/css"> 
</head>

<body>

$hbox

<form method="POST" action="$admin_url/admin26.cgi">
  <input type="hidden" name="fct" value="fp_generate0"><table border="0" cellspacing="1"
  width="100%" cellpadding="6" bgcolor="#DDDDDD" height="49">
    <tr>
      <td width="100%" height="30" colspan="2" background="$web_url/bar6.gif" bgcolor="#FFE135"
      class="normaltext"><strong>Choose a Front Page Creation Method Below: </strong></td>
    </tr>
    <tr>
      <td width="1%" height="30" align="center" bgcolor="#F4F4F4" class="normaltext"><input
      type="radio" value="jscript" name="fpmeth" checked> </td>
      <td width="99%" height="80" align="left" bgcolor="#FFFFFF" class="normaltext"><strong><font
      color="#0000FF">Javascript Front Page Categories </font><br>
      </strong>With this method of front page creation/generation the categories are pulled in
      via javascript into an existing HTML page that you create yourself. The categories are
      automatically updated when HTML files are generated. This method is normally used to place
      the categories inside a web page (that you create). This web page could then be situated
      at: (for example)<br>
      <strong>$domain_index</strong></td>
    </tr>
    <tr>
      <td width="1%" height="30" align="center" bgcolor="#F4F4F4" class="normaltext"><input
      type="radio" value="iframe" name="fpmeth"> </td>
      <td width="99%" height="80" align="left" bgcolor="#FFFFFF" class="normaltext"><strong><font
      color="#0000FF">Iframe Tags</font><font color="#0000A0"><br>
      </font></strong>This method provides you with HTML code that you place inside your front
      page or any other web page to include front page categories. The categories are
      automatically updated when HTML files are generated. This method is normally used to place
      the categories inside a web page (that you create). This web page could then be situated
      at: (for example)<br>
      <strong>$domain_index</strong></td>
    </tr>
    <tr>
      <td width="1%" height="30" align="center" bgcolor="#F4F4F4" class="normaltext"><input
      type="radio" value="fp_template" name="fpmeth"></td>
      <td width="99%" height="80" align="left" bgcolor="#FFFFFF" class="normaltext"><strong><font
      color="#0000FF">Front Page Template</font><br>
      </strong>Use this option to use a template for your front page. If you use this option for
      your front page then you can access your front page here:<br>
      <a href="$script_url/fp.cgi" target="_blank"><strong>$script_url/fp.cgi</strong></a></td>
    </tr>
    <tr align="center">
      <td width="1%" height="33" align="center" bgcolor="#F4F4F4" class="normaltext"><input
      type="radio" value="ssi" name="fpmeth"> </td>
      <td width="99%" height="83" align="left" bgcolor="#FFFFFF" class="normaltext"><strong><font
      color="#0000FF">Server Side Includes</font><br>
      </strong>With this method of front page creation/generation the categories are written to
      an HTML file. You then pull in this file via SSI (Server Side Includes) to include the
      front page categories into an existing HTML file. The categories are automatically updated
      when HTML files are generated. This method is normally used to place the categories inside
      a web page (that you create). This web page could then be situated at: (for example)<br>
      <strong>$domain_index</strong></td>
    </tr>
    <tr>
      <td width="1%" height="30" align="center" bgcolor="#F4F4F4" class="normaltext"><input
      type="radio" value="manual" name="fpmeth"> </td>
      <td width="99%" height="80" align="left" bgcolor="#FFFFFF" class="normaltext"><strong><font
      color="#0000FF">Manual Front Page Creation</font><br>
      </strong>Note that when using this method that your front page categories won't update
      automatically if new categories are added. This method enables you to get the category
      links or to copy and paste the category structure into an existing HTML file that is used
      for your Front Page.</td>
    </tr>
    <tr>
      <td width="1%" height="30" bgcolor="#FFFFFF" align="center">
      <img src="$web_url/dbut3.gif"></td>
      <td width="99%" bgcolor="#FFFFFF"><input type="submit" value="     &lt;&lt; Back     "
      name="B2"> <input type="submit" value="     Next &gt;&gt;     " name="B1"> </td>
    </tr>
  </table>
  <table border="0" cellpadding="0" cellspacing="0" width="100%"
  background="$web_url/shadow.gif">
    <tr>
      <td width="1%" bgcolor="#FFFFFF"><font color="#FFFFFF">_</font> </td>
      <td width="99%"></td>
    </tr>
  </table>
</form>




</body>
</html>

];


}



sub generate_fp
{

### WRITE GENERATION DATE

$time = time();
$date = acs::decode_date($time);

open (TBUILD, "> $data_dir/fpgentime.dat") || acs::problem_popup("Could write to file $data_dir/fpgentime.dat :$! - Ensure that this file has the permission setting of 777.");
	print TBUILD $date;
close (TBUILD);
chmod($default_permissions,"$data_dir/fpgentime.dat","$data_dir/fpgentime.dat"); 

### GET FRONT PAGE SETTINGS

$fpsettings1 = acs::get_file_contents("$data_dir/fp.cfg");
(@fp_settings1) = split (/\n/, $fpsettings1);

#0  cols
#1  cell_spacing
#2  table_padding
#3  table_back
#4  cell_back
#5  cat_diz
#6  sub_dirs_include
#7  subcat_number!!
#8  link_numbers
#9  frontpage_file_loc
#10 automatically_build_fp
#11 include_frontpage_template
#12 main_cat_font
#13 main_cat_font_size
#14 sub_cat_font
#15 sub_cat_font_size
#16 cell height
#20 New graphic


 
### GENERATE FRONT PAGE

$allcats = psfp::generate_categories();
$allcats =~ s/\n/ /g;
$crit = chr(10); $allcats =~ s/$crit/ /g;
$crit = chr(13); $allcats =~ s/$crit/ /g;
$allcats =~ s/'/\\'/g;
#print "==$allcats==";
if ($q->param('preview') eq "true"){print $allcats; exit;}


#### WRITE INCLUDE FILE AND JAVASCRIPT INCLUDE FILE
#slot9  frontpage_file_loc

#open (IFILE, "> $fp_settings1[9]") || acs::problem_popup("Couldn't write to file $fp_settings1[9] :$! - Ensure that the directory where this file needs to be written to, exists.");
open (IFILE, "> $fp_settings1[9]");
 print IFILE $allcats;
close (IFILE);
$stat = chmod($default_permissions,"$fp_settings1[9]","$fp_settings1[9]");


#### JAVASCRIPT INCLUDES
$java_head_tags = "<script SRC=\"$web_url/categories.js\"></script>";
$java_body_tags = "<script LANGUAGE=\"JavaScript\" TYPE=\"text/javascript\">
<!--
get_categories();
// -->
</script>";

$script_to_write = <<END_OF_SCRT;
function get_categories()
{
document.write ('$allcats');
}
END_OF_SCRT

open (SCRW, "> $web_dir/categories.js") || acs::problem_popup("Could not write to file $web_dir/categories.js :$!");
	print SCRW $script_to_write;
close (SCRW);
$stat = chmod($default_permissions,"$web_dir/categories.js","$web_dir/categories.js");

####

$gsettings = new_gsettings acs;
if ($gsettings->{searchmeth} eq "fulltext")
	{
	$search_scrp = "search2.cgi";
	}
	else
	{
	$search_scrp = "search.cgi";
	}


$search_html = <<END_OF_SRC;
<form method="POST" action="$script_url/$search_scrp">
  <p><input type="text" name="keywords" size="33"><input type="submit" value="Search"
  name="B1"></p>
</form>
END_OF_SRC

print <<END_OF_GP;

<html>

<head>
<title>PowerSeek</title>
</head>

<body>

<table border="0" cellpadding="6" cellspacing="1" width="100%">
  <tr>
    <td width="1%" valign="top"><p align="center"><img
    src="$web_url/ic_gen.gif"></td>
    <td width="95%" valign="top"><font face="Arial" size="4"><strong>Front Page
    Generated/Updated</strong></font><font color="#0000a0" face="Arial" size="4"><br>
    </font><font size="1" face="Verdana">The 'Main Front Page Categories' has been written to:
    <strong>$fp_settings1[9]<br>
    Please see the options below for more information on the implementation of your frontpage.</strong></font></td>
  </tr>
</table>

<hr noshade size="1" color="#F2F2F2">

<table border="0" cellpadding="6" width="100%" style="border: 1px solid rgb(0,0,0)">
  <tr>
    <td width="101%" valign="top" bgcolor="#FFE135"><font size="1" face="Verdana"><strong>Option
    1 - Including 'Main Front Page Categories' into an existing HTML page.<br>
    </strong>Use this option if you want to include the 'Main front page categories' into an
    existing web page with SSI (Server Side Includes) or Java Script Includes. By using this
    option, you can automatically update your existing front page with new 'Main Front Page
    Categories' without physically editing your existing front page.</font></td>
  </tr>
  <tr>
    <td width="101%" valign="top"><font size="1" face="Verdana">The 'Main Front Page
    Categories' has been written to: <strong>$fp_settings1[9]</strong></font><ul>
      <li><font size="1" face="Verdana">Please refer to the documentation supplied by your web
        host for using SSI. By using SSI, you can include the 'Main Front Page categories' into
        your existing front page or other web pages. You will want to include the file that
        contains the 'Main Front page Categories' page listed above.<strong><br>
        &nbsp; </strong></font></li>
      <li><font size="1" face="Verdana">Below is javascript code which you can place inside an
        existing web page or front page of your web site. Note that very old browsers that are not
        javascript compatible won't display the 'main Front Page categories' that are included via
        JavaScript Includes.<br>
        </font>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <br>
        <strong><font size="1" face="Verdana">Place the following between the head tags of your
        existing web page or front page.</font></strong><form method="POST"
        action="--WEBBOT-SELF--">
          <!--webbot bot="SaveResults" startspan U-File="_private/form_results.txt"
          S-Format="TEXT/CSV" S-Label-Fields="TRUE" --><!--webbot bot="SaveResults" endspan --><p><textarea
          rows="5" name="S1" cols="46">$java_head_tags</textarea></p>
          <p><font size="1" face="Verdana"><strong>Place the following between the body tags of your
          existing web page or front page.</strong></font></p>
          <p><textarea rows="5" name="S2" cols="46">$java_body_tags</textarea></p>
        </form>
        <p>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; </p>
      </li>
    </ul>
    </td>
  </tr>
</table>

<hr size="1" color="#EFEFEF">

<table border="0" cellpadding="6" width="100%" style="border: 1px solid rgb(0,0,0)">
  <tr>
    <td width="101%" valign="top" bgcolor="#FFE135"><font size="1" face="Verdana"><strong>Option
    2 - 'Main Front Page Categories' HTML code for manual inclusion into an existing page.<br>
    </strong>Use this option to manually insert the HTML code of the 'main front page
    categories' into your existing front page or web pages.</font></td>
  </tr>
  <tr>
    <td width="101%" valign="top"><font size="1" face="Verdana">Listed below is the HTML code
    that you can place inside your existing front page. For example: You can open your existing
    front page of your web site and insert the code below into it.</font><blockquote>
      <p><font size="1" face="Verdana"><strong>Place the following HTML code on your front page
      or any other page of your web site.</strong></font></p>
    </blockquote>
    <form method="POST" action="--WEBBOT-SELF--">
      <!--webbot bot="SaveResults" startspan S-Label-Fields="TRUE"
      U-File="_private/form_results.txt" S-Format="TEXT/CSV" --><!--webbot bot="SaveResults"
      endspan --><blockquote>
        <p><textarea rows="5" name="S2" cols="46">$allcats</textarea></p>
      </blockquote>
    </form>
    <p>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; </td>
  </tr>
</table>

<hr size="1" color="#EFEFEF">

<table border="0" cellpadding="6" width="100%" style="border: 1px solid rgb(0,0,0)">
  <tr>
    <td width="101%" valign="top" bgcolor="#FFE135"><font size="1" face="Verdana"><strong>Search
    Box HTML Code<br>
    </strong>Use the HTML code below if you would like to include a search box on your front page or 
    on other pages of your web site.</font></td>
  </tr>
  <tr>
    <td width="101%" valign="top"><blockquote>
      <p><strong><font size="1" face="Verdana" color="#0000FF">&nbsp;&nbsp;&nbsp;&nbsp; <br>
      </font><font size="1" face="Verdana">Place the following search box HTML code in the front
      page or any other page of your web site.</font></strong></p>
    </blockquote>
    <form method="POST" action="--WEBBOT-SELF--">
      <!--webbot bot="SaveResults" startspan S-Label-Fields="TRUE"
      U-File="_private/form_results.txt" S-Format="TEXT/CSV" --><!--webbot bot="SaveResults"
      endspan --><blockquote>
        <p><textarea rows="5" name="searchbox" cols="46">$search_html</textarea></p>
      </blockquote>
    </form>
    <p>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; </td>
  </tr>
</table>

<p><font size="1" face="Verdana"><strong><a href="$admin_url/admin26.cgi">Go Back</a> | <a
href="$admin_url/admin26.cgi?fct=settings">Frontpage Generation/Update Settings</a></strong></font></p>
</body>
</html>

END_OF_GP


}




sub save_settings
{

open (FPS, "> $data_dir/fp.cfg");
	print FPS $q->param('cols') . "\n";									### 0
	print FPS $q->param('cell_spacing') . "\n";						### 1
	print FPS $q->param('table_padding') . "\n";						### 2
	print FPS $q->param('table_back') . "\n";							### 3
	print FPS $q->param('cell_back') . "\n";							### 4
	print FPS $q->param('cat_diz') . "\n";								### 5
	print FPS $q->param('sub_dirs_include') . "\n";					### 6
	print FPS $q->param('subcat_number') . "\n";						### 7
	print FPS $q->param('link_numbers') . "\n";						### 8
	print FPS $q->param('frontpage_file_loc') . "\n";				### 9
	print FPS $q->param('automatically_build_fp') . "\n";			### 10
	print FPS $q->param('include_frontpage_template') . "\n";	### 11
	print FPS $q->param('main_cat_font') . "\n";						### 12
	print FPS $q->param('main_cat_font_size') . "\n";				### 13
	print FPS $q->param('sub_cat_font') . "\n";						### 14
	print FPS $q->param('sub_cat_font_size') . "\n";				### 15 
	print FPS $q->param('cell_height') . "\n";						### 16 cell_height
	print FPS $q->param('diz_font') . "\n";							### 17 diz_font
	print FPS $q->param('diz_font_size') . "\n";						### 18 diz_font_size
	print FPS $q->param('subseperate') . "\n";						### 19 subcategory seperator
	print FPS $q->param('newlinks') . "\n";							### 20 new graphic
	
	print FPS "0\n";															### 21 CID
	
	print FPS $q->param('main_bold') . ":" .  $q->param('main_italic') . "\n"; ### 22 MAIN CATEGORY BOLD ITALIC
	
	print FPS $q->param('subetc') . "\n";								### 23 What text should be displayed at the end of the sub category listing:
	
	print FPS $q->param('sub_bold') . ":" .  $q->param('sub_italic') . "\n"; ### 24 SUB CATEGORY BOLD ITALIC
	
	print FPS $q->param('diz_bold') . ":" .  $q->param('diz_italic') . "\n"; ### 25 DESCRIPTION BOLD ITALIC
	
	$not_included = $q->param('not_included');
	$not_included =~ s/\n/ /g;
	$crit = chr(10); $not_included =~ s/$crit/ /g;
	$crit = chr(13); $not_included =~ s/$crit/ /g;
	$not_included =~ s/ //g;
	print FPS $not_included . "\n"; ### 26 CATEGORIES NOT TOO DISPLAY
	
close (FPS);


###################

print <<END_OF_ADM;

<html>

<head>
<title>PowerSeek</title>
</head>

<body>

<table border="0" cellpadding="6" cellspacing="1" width="100%">
  <tr>
    <td width="1%" valign="top"><p align="center"><img src="$web_url/ic_spanner.gif"></td>
    <td width="95%" valign="top"><strong><font face="Arial" size="4">Settings Saved</font><font
    face="Arial" size="4" color="#0000A0"><br>
    </font></strong><a href="$admin_url/admin26.cgi"><font face="Verdana" size="1">Click here
    to continue.</font></a></td>
  </tr>
</table>

<hr noshade size="1" color="#F2F2F2">
</body>
</html>


END_OF_ADM

}





sub settings_fp
{

if ($q->param('B2') ne "") { &start; exit; }

$fpmeth = $q->param('fpmeth');


if ($q->param('fpmeth') eq "jscript")
	{
	if ((-e "$data_dir/fp_jscript.cfg") > 0)
		{
		$fpsettings = acs::get_file_contents("$data_dir/fp_jscript.cfg");
		}
		else
		{
		$fpsettings = acs::get_file_contents("$data_dir/fp.cfg");
		}
	}
elsif ($q->param('fpmeth') eq "iframe")
	{
		if ((-e "$data_dir/fp_iframe.cfg") > 0)
			{
			$fpsettings = acs::get_file_contents("$data_dir/fp_iframe.cfg");
			}
			else
			{
			$fpsettings = acs::get_file_contents("$data_dir/fp.cfg");
		}
	
	}
elsif ($q->param('fpmeth') eq "fp_template")
	{
		if ((-e "$data_dir/fp_template.cfg") > 0)
			{
			$fpsettings = acs::get_file_contents("$data_dir/fp_template.cfg");
			}
			else
			{
			$fpsettings = acs::get_file_contents("$data_dir/fp.cfg");
		}
	
	}
elsif ($q->param('fpmeth') eq "ssi")
	{
		if ((-e "$data_dir/fp_ssi.cfg") > 0)
			{
			$fpsettings = acs::get_file_contents("$data_dir/fp_ssi.cfg");
			}
			else
			{
			$fpsettings = acs::get_file_contents("$data_dir/fp.cfg");
		}

	}
elsif ($q->param('fpmeth') eq "manual")
	{
		if ((-e "$data_dir/fp_manual.cfg") > 0)
			{
			$fpsettings = acs::get_file_contents("$data_dir/fp_manual.cfg");
			}
			else
			{
			$fpsettings = acs::get_file_contents("$data_dir/fp.cfg");
		}

	}



(@fp_settings) = split (/\n/, $fpsettings);
$frontpage_file_loc = $fp_settings[9];

if ($frontpage_file_loc eq "") { $frontpage_file_loc = "$web_dir/index.html"; }


if ($q->param('fpmeth') eq "ssi")
{
$include_file_text1 = qq[Full server path with file name where 'Include' file needs to be written:];
$include_file_text2 = qq[<p><input type="text" name="frontpage_file_loc" size="46" value="$frontpage_file_loc">
(Required)<br>
&nbsp;&nbsp; <br>
A path you could use would be:<br>
<strong>$web_dir/index.html</strong></p>

<p>If the above is left blank, the file will be written to the default location which is: <br>
<strong>$web_url/index.html</strong></p>
];
}
else
{
$include_file_text1 = qq[If you want the frontpage to be written to a file then specify the full server path to the file:];

$include_file_text2 = qq[<input type="text" name="frontpage_file_loc" size="46" value="$frontpage_file_loc">
(Optional)<br>
&nbsp;&nbsp; <br>
Lets say for example, you use <strong>$web_dir/index.html</strong></p>

<p>When generating the front page, the above mentioned file will be written to the file
specified above. (the front page HTML code will be placed in it). If the file already
exists, make sure that it has the permission setting of 777, otherwise the front page
generator won't be able to write to the above indicated file. </p>

<p>If the above is left blank, the file will be written to the default location which is: <br>
<strong>$web_dir/index.html</strong>
];
}







#0  cols
$col_selv[$fp_settings[0]] = "selected";

#1  cell_spacing
$cell_spacing = $fp_settings[1];

#2  table_padding
$table_padding = $fp_settings[2];

#3  table_back
$table_back = $fp_settings[3];

#4  cell_back
$cell_back = $fp_settings[4];

#5  cat_diz
if ($fp_settings[5] eq "Yes")
	{
	$cat_diz[0] = "selected";
	}
	else
	{
	$cat_diz[1] = "selected";
	}


#6  sub_dirs_include

if ($fp_settings[6] eq "Yes")
	{
	$sub_dirs_include[0] = "selected";
	}
	else
	{
	$sub_dirs_include[1] = "selected";
	}

#7  subcat_number
#$subcat_number[$fp_settings[7]] = "selected";
$subcat_number = $fp_settings[7];
$subseperate = $fp_settings[19];

#8  link_numbers
if ($fp_settings[8] eq "Yes")
	{
	$link_numbers[0] = "selected";
	}
	else
	{
	$link_numbers[1] = "selected";
	}


#9  frontpage_file_loc

#if ($frontpage_file_loc eq ""){$frontpage_file_loc = "$web_dir/index.html";}


#10 automatically_build_fp
if ($fp_settings[10] eq "Yes")
	{
	$automatically_build_fp[0] = "selected";
	}
	else
	{
	$automatically_build_fp[1] = "selected";
	}


#11 include_frontpage_template
if ($fp_settings[11] eq "Yes")
	{
	$include_frontpage_template[0] = "selected";
	}
	else
	{
	$include_frontpage_template[1] = "selected";
	}


#12 
$main_cat_font = $fp_settings[12];

#13
$main_cat_font_size = $fp_settings[13];

#14
$sub_cat_font = $fp_settings[14];

#15
$sub_cat_font_size = $fp_settings[15];

#16 cell_height
$cell_height = $fp_settings[16];

#17 diz font
$diz_font = $fp_settings[17];

#18 diz font size
$diz_font_size = $fp_settings[18];

## 20 New Graphic
if ($fp_settings[20] eq "Yes")
	{
	$newl_yes = "selected";
	}
	else
	{
	$newl_no = "selected";
	}

#### 22 Main Category Bold Italic

($main_bold, $main_italic) = split (/:/, $fp_settings[22]);

if ($main_bold eq "Y"){$main_bold_checked = "checked";}
if ($main_italic eq "Y"){$main_italic_checked = "checked";}

### 23 What text should be displayed at the end of the sub category listing:

$subetc = $fp_settings[23];

### 24 SUB CATEGORY BOLD ITALIC

($sub_bold, $sub_italic) = split (/:/, $fp_settings[24]);

if ($sub_bold eq "Y"){$sub_bold_checked = "checked";}
if ($sub_italic eq "Y"){$sub_italic_checked = "checked";}

### 25 DESCRIPTION BOLD ITALIC

($diz_bold, $diz_italic) = split (/:/, $fp_settings[25]);

if ($diz_bold eq "Y"){$diz_bold_checked = "checked";}
if ($diz_italic eq "Y"){$diz_italic_checked = "checked";}

### 26 CATEGORY IDS NOT TO DISPLAY
$not_included = $fp_settings[26];


$hbox = acs::get_heading_box("$web_url/ic_frontp3.gif", "Front Page Category Look & Feel Settings", qq[
<a href="$admin_url/admin26.cgi">Front Page Setups & Updating</a> <img src="$web_url/lar.gif"><img src="$web_url/lar.gif"> 
<a href="$admin_url/admin26.cgi?fct=fp_options">Front Page Creation Method</a> 
<img src="$web_url/lar.gif"><img src="$web_url/lar.gif"> 
Category Look & Feel Settings 
]);


#This section enables you to set the way in which your front page categories will be created/generated.<BR>

print <<END_OF_SET;
<html>
<head>
<title>PowerSeek</title>
<link href="$web_url/ps.css" rel="stylesheet" type="text/css">

<script LANGUAGE="JavaScript">
<!-- Hide

  function popup(loc,ww,hh)
   {
    var mywidth = (ww + 0);
    var myheight = (hh + 0);
    var myspecs = "'menubar=0,status=1,resizable=1,location=0,titlebar=1,toolbar=1,scrollbars=1,width=" + mywidth + ",height=" + myheight + "'";
	var random = parseInt(Math.random()*10000)

	  var popupwin = null;
      myWindow = open (loc, popupwin + random, myspecs);
      myWindow.moveTo(400,0);
      myWindow.focus();

    }
 // End Hide -->
 </script>

</head>
<body>

$hbox

<form method="POST" action="$admin_url/admin26.cgi" name="addu">
  <input type="hidden" name="fct" value="fp_generate">
  <input type="hidden" name="fpmeth" value="$fpmeth">
  
  <table border="0" cellspacing="1" width="100%" cellpadding="6" bgcolor="#DDDDDD" height="46">
    <tr>
      <td height="30" colspan="2" align="left" valign="top" background="$web_url/bar6.gif" bgcolor="#FFFFFF" class="normaltext"><strong>Category Look &amp; Feel Settings:</strong></td>
    </tr>
    <tr>
      <td width="33%" height="50" align="left" valign="top" bgcolor="#FFFFFF" class="normaltext">Number
      of columns to use? </td>
      <td width="67%" height="50" bgcolor="#FFFFFF" class="normaltext"><select name="cols"
      size="1">
        <option $col_selv[0] value="0"> 1 </option>
        <option $col_selv[1] value="1"> 2 </option>
        <option $col_selv[2] value="2"> 3 </option>
        <option $col_selv[3] value="3"> 4 </option>
        <option $col_selv[4] value="4"> 5 </option>
      </select> <br>
      &nbsp;<strong><br>
      </strong>This is the number of columns that will be used to place main categories in. <strong><br>
      </strong>&nbsp; </td>
    </tr>
    <tr>
      <td width="33%" height="50" align="left" valign="top" bgcolor="#FFFFFF" class="normaltext">Cell
      height: </td>
      <td width="67%" height="50" bgcolor="#FFFFFF" class="normaltext"><input type="text"
      name="cell_height" size="5" value="$cell_height"> Pixels <br>
      <strong>&nbsp;&nbsp; </strong><br>
      This will be the height of the cells that contains the categories. <br>
      &nbsp;&nbsp; </td>
    </tr>
    <tr>
      <td width="33%" height="50" align="left" valign="top" bgcolor="#FFFFFF" class="normaltext">Table
      Cell Spacing? </td>
      <td width="67%" height="50" bgcolor="#FFFFFF" class="normaltext"><input type="text"
      name="cell_spacing" size="5" value="$cell_spacing"> 
         <br>
      &nbsp;&nbsp; <br>
      This number represents the spacing that will be used between tables. The larger the
      number, the larger the spacing used. <br>
      &nbsp;&nbsp; </td>
    </tr>
    <tr>
      <td width="33%" height="50" align="left" valign="top" bgcolor="#FFFFFF" class="normaltext">Table
      Cell Padding? </td>
      <td width="67%" height="50" bgcolor="#FFFFFF" class="normaltext"><input type="text"
      name="table_padding" size="5" value="$table_padding"> <strong><br>
      &nbsp;&nbsp; <br>
      </strong>This number represents the spacing that will be used within table cells. The
      larger the number, the larger the spacing used. <br>
      &nbsp; </td>
    </tr>
    <tr>
      <td width="33%" height="50" align="left" valign="middle" bgcolor="#FFFFFF" class="normaltext">Table
      Background Color? </td>
      <td width="67%" height="50" bgcolor="#FFFFFF" class="normaltext"><input type="text"
      name="table_back" size="15" value="$table_back"> (Leave blank to use default color which
      is none) For example: #FFFFFF </td>
    </tr>
    <tr>
      <td width="33%" height="50" align="left" valign="middle" bgcolor="#FFFFFF" class="normaltext">Cell
      Background Colors in Table: </td>
      <td width="67%" height="50" bgcolor="#FFFFFF" class="normaltext"><input type="text"
      name="cell_back" size="15" value="$cell_back"> (Leave blank to use default color which is
      none)&nbsp; For example: #F4F4F4 </td>
    </tr>
    <tr>
      <td width="33%" height="50" align="left" valign="middle" bgcolor="#F4F4F4" class="normaltext">Main
      Category Font: </td>
      <td width="67%" height="50" bgcolor="#F4F4F4" class="normaltext"><input type="text"
      name="main_cat_font" size="15" value="$main_cat_font"> For example: (Verdana or Arial,
      etc..) </td>
    </tr>
    <tr>
      <td width="33%" height="50" align="left" valign="middle" bgcolor="#F4F4F4" class="normaltext">Main
      Category Font Size: </td>
      <td width="67%" height="50" bgcolor="#F4F4F4" class="normaltext"><input type="text"
      name="main_cat_font_size" size="3" value="$main_cat_font_size"> </td>
    </tr>
    <tr>
      <td width="33%" height="50" align="left" valign="middle" bgcolor="#F4F4F4" class="normaltext">Main
      Category Font Style: </td>
      <td width="67%" height="50" bgcolor="#F4F4F4" class="normaltext"><input type="checkbox"
      name="main_bold" value="Y" $main_bold_checked> Bold <input type="checkbox"
      name="main_italic" value="Y" $main_italic_checked> Italic </td>
    </tr>
    <tr>
      <td width="33%" height="50" align="left" valign="middle" bgcolor="#FFFFFF" class="normaltext">Would
      you like to include sub directories/categories beneath main categories/directories? </td>
      <td width="67%" height="50" bgcolor="#FFFFFF" class="normaltext"><select
      name="sub_dirs_include" size="1">
        <option $sub_dirs_include[0] value="Yes"> Yes </option>
        <option $sub_dirs_include[1] value="No"> No </option>
      </select> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; </td>
    </tr>
    <tr>
      <td width="33%" height="50" align="left" valign="middle" bgcolor="#FFFFFF" class="normaltext">If
      you specified above to include sub categories/directories, how many sub categories would
      you like to list under main categories? </td>
      <td width="67%" height="50" bgcolor="#FFFFFF" class="normaltext"><input type="text"
      name="subcat_number" size="4" value="$subcat_number"> </td>
    </tr>
    <tr>
      <td width="33%" align="left" valign="middle" bgcolor="#FFFFFF" class="normaltext">By what
      should subcategories be seperated by: </td>
      <td width="67%" bgcolor="#FFFFFF" class="normaltext"><input type="text" name="subseperate"
      size="8" value="$subseperate"> </td>
    </tr>
    <tr>
      <td width="33%" align="left" valign="middle" bgcolor="#FFFFFF" class="normaltext">What text
      should be displayed at the end of the sub category listing: </td>
      <td width="67%" bgcolor="#FFFFFF" class="normaltext"><input type="text" name="subetc"
      size="8" value="$subetc"> For example, <strong>Etc... </strong></td>
    </tr>
    <tr>
      <td width="33%" height="50" align="left" valign="middle" bgcolor="#FFFFFF" class="normaltext">Sub
      Category Font: </td>
      <td width="67%" height="50" bgcolor="#FFFFFF" class="normaltext"><input type="text"
      name="sub_cat_font" size="15" value="$sub_cat_font"> For example: (Verdana or Arial,
      etc..) </td>
    </tr>
    <tr>
      <td width="33%" height="50" align="left" valign="middle" bgcolor="#FFFFFF" class="normaltext">Sub
      Category Font Size: </td>
      <td width="67%" height="50" bgcolor="#FFFFFF" class="normaltext"><input type="text"
      name="sub_cat_font_size" size="3" value="$sub_cat_font_size"> </td>
    </tr>
    <tr>
      <td width="33%" height="50" align="left" valign="middle" bgcolor="#FFFFFF" class="normaltext">Sub
      Category Font Style: </td>
      <td width="67%" height="50" bgcolor="#FFFFFF" class="normaltext"><input type="checkbox"
      name="sub_bold" value="Y" $sub_bold_checked> Bold <input type="checkbox" name="sub_italic"
      value="Y" $sub_italic_checked> Italic </td>
    </tr>
    <tr>
      <td width="33%" height="50" align="left" valign="top" bgcolor="#F4F4F4" class="normaltext">Would
      you like descriptions beneath main categories? </td>
      <td width="67%" height="50" bgcolor="#F4F4F4" class="normaltext"><select name="cat_diz"
      size="1">
        <option $cat_diz[0] value="Yes"> Yes </option>
        <option $cat_diz[1] value="No"> No </option>
      </select> <br>
      <strong>&nbsp;&nbsp; <br>
      </strong>The Meta descriptions specified for the main categories will be used if this is
      set to 'Yes'. <br>
      &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; </td>
    </tr>
    <tr>
      <td width="33%" height="50" align="left" valign="middle" bgcolor="#F4F4F4" class="normaltext">Description
      Font: </td>
      <td width="67%" height="50" bgcolor="#F4F4F4" class="normaltext"><input type="text"
      name="diz_font" size="15" value="$diz_font"> For example: (Verdana or Arial, etc..) </td>

    </tr>
    <tr>
      <td width="33%" height="50" align="left" valign="middle" bgcolor="#F4F4F4" class="normaltext">Description
      Font Size: </td>
      <td width="67%" height="50" bgcolor="#F4F4F4" class="normaltext"><input type="text"
      name="diz_font_size" size="3" value="$diz_font_size"> </td>
    </tr>
    <tr>
      <td width="33%" height="50" align="left" valign="middle" bgcolor="#F4F4F4" class="normaltext">Description
      Font Style: </td>
      <td width="67%" height="50" bgcolor="#F4F4F4" class="normaltext"><input type="checkbox"
      name="diz_bold" value="Y" $diz_bold_checked> Bold <input type="checkbox" name="diz_italic"
      value="Y" $diz_italic_checked> Italic </td>
    </tr>
    <tr>
      <td width="33%" height="50" align="left" valign="top" bgcolor="#FFFFFF" class="normaltext">Include
      link numbers next to categories? </td>
      <td width="67%" height="50" bgcolor="#FFFFFF" class="normaltext"><select
      name="link_numbers" size="1">
        <option $link_numbers[0] value="Yes"> Yes </option>
        <option $link_numbers[1] value="No"> No </option>
      </select> <br>
      <strong>&nbsp;&nbsp; <br>
      </strong>The numbers that will be shown next to categories will represent the number of
      links inside the categories. <br>
      &nbsp;&nbsp;&nbsp; </td>
    </tr>
    <tr>
      <td width="33%" height="50" align="left" valign="top" bgcolor="#F4F4F4" class="normaltext">Would
      you like to display a New graphic next to Categories that had new links added recently? </td>
      <td width="67%" height="50" bgcolor="#F4F4F4" class="normaltext"><select name="newlinks"
      size="1">
        <option $newl_yes value="Yes"> Yes </option>
        <option $newl_no value="No"> No </option>
      </select> </td>
    </tr>
    <tr>
      <td width="33%" height="50" align="left" valign="top" bgcolor="#FFFFFF" class="normaltext">If
      you do not want to list certain categories, specify thier category IDs here: <br>
      <strong>(Seperate Category ID's via comma) </strong></td>
      <td width="67%" height="50" bgcolor="#FFFFFF" class="normaltext"><textarea rows="5"
      name="related_categories" cols="54">$not_included</textarea> <br>
      
      <a href="$admin_url/admin67.cgi" onclick="popup('$admin_url/admin67.cgi?fct=related',750,600);return false;"><b>Browser (To Assign ID's)</b></a>
      <BR>
      You can also get category ID's by clicking the '<a href="$admin_url/admin3.cgi" target="_blank">Tree + Stats</a>' link when in the '<a href="$admin_url/admin2.cgi" target="_blank">Dir Manager</a>'.
      <br>
      &nbsp; </td>
    </tr>
  <tr>
    <td width="33%" height="50" align="left" valign="top" bgcolor="#F4F4F4" class="normaltext">$include_file_text1</td>
    <td width="67%" height="50" bgcolor="#F4F4F4" class="normaltext">$include_file_text2</td>
  </tr>
    <tr>
      <td width="33%" bgcolor="#FFFFFF" align="left" height="50" valign="top"></td>
      <td width="67%" bgcolor="#FFFFFF" height="50">
      <input type="submit" value="   << Back   " name="B2"  onClick="history.go(-1); return false;">
      <input type="submit" value="   Next >>   " name="B1"> </td>
    </tr>
  </table>
  <table border="0" cellpadding="0" cellspacing="0" width="100%"
  background="$web_url/shadow.gif">
    <tr>
      <td width="1%" bgcolor="#FFFFFF"><font color="#FFFFFF">_</font> </td>
      <td width="99%"></td>
    </tr>
  </table>
</form>


</body>
</html>

END_OF_SET

#not_included

}






# basicly: ?fct=generate_fp link call
sub start
{ 

$hbox = acs::get_heading_box("$web_url/ic_banner_long.gif", "Front Page Setups & Updating", qq[
<table border="0" cellpadding="0" cellspacing="0" width="100%">
  <tr>
    <td width="89%" valign="top" class="normaltext">This section enables you to generate or create the front page
    or index page of your directory and set various settings regarding it.</td>
    <td width="6%" align="right" valign="top" class="normaltext"><font face="Arial" size="4" color="#000000"><strong><a
    href="$admin_url/help.cgi?fct=front_page" target="_blank"><img
    src="$web_url/bhelps.gif" border="0"></a></strong></font></td>
  </tr>
</table>
]);


@domain_det = split (/\//, $admin_url);
$domain_url = "http://" . $domain_det[2] . "/index.html";

$fplink = acs::get_file_contents("$data_dir/frontlink.dat");



print <<END_OF_EM;
<html>
<head>
<title>PowerSeek</title>
<link href="$web_url/ps.css" rel="stylesheet" type="text/css">
</head>
<body>

$hbox

<table border="0" cellspacing="1" width="100%" cellpadding="6" bgcolor="#DDDDDD"
height="406">
  <tr>
    <td width="1%" bgcolor="#FFFFFF" height="30" align="center"><img
    src="$web_url/ic_frontp3.gif"> </td>
    <td width="99%" height="80" bgcolor="#FFFFFF" class="normaltext"><strong>1. <a
    href="$admin_url/admin26.cgi?fct=fp_options">Setup/Configure Front Page</a><br>
    </strong>Use this option to set up or configure the Front Page for the Directory.</td>
  </tr>
  <tr>
    <td width="1%" bgcolor="#FFFFFF" height="30" align="center"><img
    src="$web_url/ic_gen.gif"> </td>
    <td width="99%" height="80" bgcolor="#FFFFFF" class="normaltext"><strong>2. <a
    href="$admin_url/admin26.cgi?fct=update_frontpage">Generate/Update Front Page</a><br>
    </strong>This option generates or updates the Front Page categories to reflect any changes
    made to categories of your Directory. Note that the front page categories are automatically updated when HTML files are generated.</td>
  </tr>
  <tr>
    <td width="1%" bgcolor="#FFFFFF" height="30" align="center"><p align="center"><img
    src="$web_url/ic_cat.gif"> </td>
    <td width="99%" height="80" bgcolor="#FFFFFF" class="normaltext"><strong>3. <a
    href="$admin_url/admin48.cgi">Category Includes</a>&nbsp; (Create other Front Pages, Index
    Pages or Category Lists)<br>
    </strong>Category includes are useful if you want to display categories in PowerSeek
    templates or any external web page. You can also use category includes to create more than
    one index or front page for your Directory. </td>
  </tr>
  <tr>
    <td width="1%" bgcolor="#FFFFFF" height="30" align="center"><img
    src="$web_url/ic_search.gif"></td>
    <td width="99%" height="80" bgcolor="#FFFFFF" class="normaltext"><strong>4. <a
    href="$admin_url/admin26.cgi?fct=get_sbox">Obtain Search Box HTML Code</a><br>
    </strong>Obtain the Search Box HTML code to place on any external web page or PowerSeek
    template.</td>
  </tr>
  <tr>
    <td bgcolor="#FFFFFF" height="30" align="center"><img
    src="$web_url/ic_banner.gif"></td>
    <td height="80" bgcolor="#FFFFFF" class="normaltext"><p><strong>5. <a
    href="$admin_url/admin26.cgi?fct=edit_table">Edit HTML Code Used to Create Front Page Table with Cells that lists Categories<br>
    </a></strong>This option allows you to change the HTML code used to generate the Front Page table and cells containing the 'main frontpage' categories. Note that you will need to know HTML to edit the table and cell properties of the table being generated. The reason this option is here is so that you can implement CSS code (if needed) inside the table listing the 'Front Page' categories on your Front Page. <br>
        <strong>      Note that this option is optional and you don't have to change anything regarding this section unless you want to use CSS in the table listing the Front Page categories.</strong><a
    href="$admin_url/admin26.cgi?fct=get_sbox"></a><strong><a
    href="$admin_url/admin26.cgi?fct=get_sbox"><br>
        </a></strong></p>
    </td>
  </tr>
</table>

<table border="0" cellpadding="0" cellspacing="0" width="100%"
background="$web_url/shadow.gif">
  <tr>
    <td width="1%" bgcolor="#FFFFFF"><font color="#FFFFFF">_</font> </td>
    <td width="99%"></td>
  </tr>
</table>



<form method="POST" action="$admin_url/admin61.cgi">
  <input type="hidden" name="fct" value="save_topvar"><table border="0" cellspacing="1"
  width="100%" cellpadding="6" style="border: 1px solid rgb(216,216,216)">
    <tr>
      <td width="100%" background="$web_url/bar6.gif" class="normaltext"><strong><span
      class="normaltext">What is the URL to your Domain or Front Entrance of the Search Engine
      &amp; Directory:</span></strong></td>
    </tr>
    <tr>
      <td width="100%" class="normaltext"><strong><span class="normaltext"></span></strong> <input
      type="text" name="topvar" size="86" value="$fplink"> <input type="submit" value="Save"
      name="B1"> <br>
      For example: <strong>$domain_url<span class="normaltext"></span></strong></td>
    </tr>
    <tr>
      <td width="100%" class="normaltext"><span class="normaltext">Inside the default template
      set (default skins) that comes with PowerSeek there is a variable word called !!top!! that
      is used as a link to the front page of your Search Engine &amp; Directory. The !!top!!
      variable word is replaced with a link to the Front Page or Entrance page of your Search
      Engine &amp; Directory.</span></td>
    </tr>
  </table>
  <table border="0" cellpadding="0" cellspacing="0" width="100%"
  background="$web_url/shadow.gif">
    <tr>
      <td width="1%" bgcolor="#FFFFFF"><font color="#FFFFFF">_</font> </td>
      <td width="99%"></td>
    </tr>
  </table>
</form>



</body>
</html>


END_OF_EM

}


####################################################################################


sub get_setup
{

$exists = (-e "$config_cgi");
if ($exists > 0)
	{
	open (STP, "$config_cgi");
		while (defined($line=<STP>))
			{
			if ($line =~ m/#/g)
				{
				$r = pos($line);
				$line = substr($line, 0, $r - 1);
				}
				
				$line =~ s/\n//g;
	
if ($line =~ /^DB_NAME/){$db_name = &get_setup_line($line, DB_NAME);}
if ($line =~ /^DB_USERNAME/){$db_username = &get_setup_line($line, DB_USERNAME);}
if ($line =~ /^DB_PASSWORD/){$db_password = &get_setup_line($line, DB_PASSWORD);}
if ($line =~ /^MYSQL_HOSTNAME/){$mysql_hostname = &get_setup_line($line, MYSQL_HOSTNAME);}
if ($line =~ /^MYSQL_PORT/){$mysql_port = &get_setup_line($line, MYSQL_PORT);}

if ($line =~ /^SCRIPT_URL/){$script_url = &get_setup_line($line, SCRIPT_URL);}
if ($line =~ /^ADMIN_URL/){$admin_url = &get_setup_line($line, ADMIN_URL);}
if ($line =~ /^WEB_URL/){$web_url = &get_setup_line($line, WEB_URL);}
if ($line =~ /^WEB_DIR/){$web_dir = &get_setup_line($line, WEB_DIR);}
if ($line =~ /^DATA_DIR/){$data_dir = &get_setup_line($line, DATA_DIR);}

if ($line =~ /^USERNAME/){$username = &get_setup_line($line, USERNAME);}
if ($line =~ /^PASSWORD/){$password = &get_setup_line($line, PASSWORD);}


			}
	close (STP);
	
	}
}




sub get_setup_line
{
my ($setup_line, $setup_var) = @_;
$crit = "\"";
$setup_line =~ m/$crit/g;
$r1 = pos($setup_line);
$setup_line =~ m/$crit/g;
$r2 = pos($setup_line);
$setup_line = substr($setup_line, $r1, ($r2 - $r1 - 1));
$return_val = $setup_line;
return ($return_val);
}

#### END CONFIGURATION ########################################################

